angular.module('app.controllers', [])
.controller('AppCtrl', function ($scope, $rootScope, $ionicModal, $ionicPopup, $timeout, $location, $ionicActionSheet, service, LocationHandler) {

    appScope = $scope;
    service.updateUserState(true);

    $scope.screenwidth = 276;
    $scope.m_height = ($scope.screenwidth / 2.5) + "px";
    $scope.mrgn_left = ($scope.screenwidth / 4 - 23) + "px";
    $rootScope.isGPS = false;
    var thumbChanged = false;
    if (localStorage.quickSpots) {
        $rootScope.QuickSpots = JSON.parse(localStorage.quickSpots);
    }
    var showUploading = function (uploading) {
        /*if(uploading){
            service.Loader("show");
        }else{
            service.Loader("hide");
        }*/
    }


    //LocationHandler.watchLocation();


    /* ========================== Notification ===============================*/
    var RegisterUser = function () {
        //alert("RegisterUser");
        $timeout(function () {
            var latitude = localStorage.getItem("latitude"),
            longitude = localStorage.getItem("longitude"),
            deviceToken = localStorage.getItem("deviceToken");
            //alert("deviceToken: " + deviceToken);
            var newUser = {};
            newUser.LAST_LOCATION_COORDS = latitude + "," + longitude;
            newUser.DEVICE_TOKEN = deviceToken;
            newUser.OS_VERSION = device.version;
            newUser.APP_VERSION = $rootScope.app_version ? $rootScope.app_version : "2.0.1";
            newUser.DEVICE_MODEL = device.model;
            newUser.DEVICE_CHANNEL = "ANDROID";
            newUser.APP_MODE = "LITE";
            var d = new Date()
            var n = d.getTimezoneOffset();
            newUser.UTC_OFFSET = n;
            //service.Loader("show");
            service.AddUser(newUser, function (response) {
                if (response.status == "ok") {
                    var d = response.data
                    //alert(d.USER_ID);
                    newUser.USER_ID = d.USER_ID;
                    localStorage.setItem("USER_ID", d.USER_ID);
                    localStorage.setItem("isNewUser", "true");
                }
                // service.Loader("hide");
                //service.NotifyOnline();                
            });
        }, 2000);

    }

    var UpdateUser = function (USER_ID) {
        $timeout(function () {
            deviceToken = localStorage.getItem("deviceToken");
            //alert("update deviceToken: " + deviceToken);
            var User = {};
            User.USER_ID = USER_ID;
            User.DEVICE_TOKEN = deviceToken;
            var d = new Date()
            var n = d.getTimezoneOffset();
            User.UTC_OFFSET = n;
            service.UpdateUser(User, function (response) {
                if (response.status == "ok") {
                    var d = response.data;
                    //alert(d.isUpdated);
                }
            });
        }, 2000);
    }

    //alert("before register");
    var userId = localStorage.getItem("USER_ID");
    //alert("frist time user id:" + userId);
    if (userId == null || userId == undefined || userId == "") {
        // register new user
        //alert("not reg..");
        RegisterUser();
    }
    else {
        //alert("updateing..");
        UpdateUser(userId);
    }

    /* ========================== Notification ===============================*/

    // Tell a friend share
    $scope.share = function () {
        service.share();
    }


})

.controller('SettingsCtrl', function ($scope, $location, $ionicSideMenuDelegate, $ionicModal, service, $timeout, LocationHandler, $ionicPopup) {
    $ionicSideMenuDelegate.canDragContent(false);


    service.SetCurrentView("Settings");

    var gender = localStorage.getItem("gender"),
        lookingFor = localStorage.getItem("lookingForGender");
    $scope.PHONE_NUMBER = localStorage.phoneNumber;
    $scope.user = { gender: gender, lookingForGender: lookingFor };

    var broadcast = localStorage.getItem("broadcast");
    if (broadcast != null) {
        broadcast = true;
        if (gender == "F") {
            broadcast = false; // For females broadcasting is disabled automatically
        }
    }

    $scope.broadcast = { checked: broadcast };
    $scope.broadcastChange = function () {
        localStorage.setItem("broadcast", $scope.broadcast.checked);
    }

    $scope.unit = localStorage.getItem("DEFAULT_DISTANCE_UNIT") ? localStorage.getItem("DEFAULT_DISTANCE_UNIT") : "M";
    $scope.updateUnit = function (unit) {
        localStorage.setItem("DEFAULT_DISTANCE_UNIT", unit);
        $scope.unit = unit;
        debugError("Unit changed: " + unit);
    }

    $scope.openLink = function ($link) {
        window.open($link, '_system');
    }

    $scope.tellAFriend = function () {
        service.share();
    }



    $scope.$on('$destroy', function () {

    });


    /********** Feedback **********/
    $ionicModal.fromTemplateUrl('Feedback.html', {
        scope: $scope,
        animation: 'no-animation'
    }).then(function (modal) {
        $scope.feedBackModal = modal;
    });

    $scope.openFeedBack = function () {
        $scope.pageTitle = "Suggestions";
        $scope.feedBack = { text: "", username: "" };
        $scope.feedBackModal.show();        
        $timeout(function () {
            $("#txtUserName").focus();
        }, 500);
    }

    $scope.cancelFeedback = function () {
        $scope.feedBackModal.hide();
    }

    

    $scope.submitFeedback = function () {
        if (localStorage.getItem("USER_ID")) {
            var USER_ID = localStorage.getItem("USER_ID");
            if (service.isInternetAvailable()) {
                var d = new Date();
                var UTC_OFFSET = d.getTimezoneOffset();

                service.$getJSON("FeedBack/AddFeedBack", { USER_ID: USER_ID, TEXT: $scope.feedBack.text, UTC_OFFSET: UTC_OFFSET, USER_NAME: $scope.feedBack.username }, function (res) { });
                service.alert(messages.MSG_SUPPORT_FEEDBACK);
            }
            else {
                
                service.alert(messages.MSG_INTERNER_NOT_WORKING);
            }
        }
        service.Loader("hide");
        $scope.feedBackModal.hide();
        //localStorage.setItem("blockedFeedbackSubmitted", "true");

    }

    /********** /Feedback *********/
    $scope.openLink = function ($link) {
        window.open($link, '_system');
    }

})

.controller('DebugCtrl', function ($scope, $rootScope) {
    $rootScope.debug_list = [];
})

.controller('DashboardCtrl', function ($scope, $rootScope, $stateParams, $ionicModal, $ionicTabsDelegate, $location, $ionicPopup, $timeout, service, LocationHandler, $ionicSideMenuDelegate, DialogsHandler, $ionicTabsDelegate, $ionicActionSheet, Tooltip, $compile, SavedLocationHandler) {

    //LocationHandler.watchLocation();
    $scope.screenwidth = 276;
    $scope.m_height = ($scope.screenwidth / 2.5) + "px";
    $scope.mrgn_left = ($scope.screenwidth / 4 - 23) + "px";
    $scope.tip_promise = "";
    $ionicSideMenuDelegate.canDragContent(false);
    //$ionicSideMenuDelegate.toggleLeft();
    //$scope.window = { width: $(window).width() };

    //$scope.LOGGED_IN_USER_THUMB = localStorage.getItem("thumbURL") == null ? "images/male.png" : localStorage.getItem("thumbURL");

    //analytics.trackView('Dashboard Screen');
    $rootScope.currentView = "dashboard";
    service.activateMenu('dashboard');
    service.SetCurrentView("Dashboard");
    $scope.shortenText = function (nTitle, limit) {
        var nTitle = $.trim(nTitle);
        if (nTitle.length > limit) {
            return $.trim(nTitle.substr(0, limit)) + "...";
        }
        return nTitle;
    }


   
        //trackingStopper = $rootScope.$watch('isGpsEnabled', function () {
        //    window.plugins.gpsFix.getStatus(function (data) {
        //        $rootScope.isGpsEnabled = data.gpsEnabled;
        //        $rootScope.$apply();
        //    }
        //});





    $scope.openLink = function ($link) {
        window.open($link, '_system');
    }
    var ccc = 0;
    $scope.lockCurrentLocation = function () {
        DialogsHandler.LockCurrentLocationModal.show();
    }

    $scope.$on("approachme.location.cancel", function () {
        Tooltip.hide("#txtLocationDiv");
    });

    $scope.share = function () {
        service.share();
    }

    $scope.showGPSAlert = function () {

        if ($rootScope.isGPS == false) {

            //$rootScope.Android44 = false;
            //$rootScope.Android40 = false;
            //$rootScope.Iphone = false;
            if ($rootScope.Android44 == true) {
                $rootScope.NoGPSMessage = messages.ANDROID_WARNING;
            }
            if ($rootScope.Android40 == true) {
                $rootScope.NoGPSMessage = messages.LOCATION_WARNING_EARLY_ANDROID;
            }
            if ($rootScope.Iphone == true) {
                $rootScope.NoGPSMessage = messages.LOCATION_WARNING_IPHONE;
            }

            var alertPopup = $ionicPopup.alert({
                title: '<i class="icon ion-sad"></i>',
                templateUrl: 'NoGPS.html',
                okType: 'button-dark'
            });
        }
        else {
            var alertPopup = $ionicPopup.alert({
                title: 'GPS Status',
                templateUrl: 'GPSStats.html',
                okType: 'button-dark'
            });
        }

        $timeout(function () {
            $(".popup-container").css({ zIndex: 99999 });
            $(".backdrop").css({ zIndex: 9999 });
        }, 1);

    }

    $scope.showPopup = function () {
        //$scope.data = {}
        //s
        // An elaborate, custom popup
        $scope.myPopup = $ionicPopup.show({
            templateUrl: 'Shortcut.html',
            title: 'Quick Spots',
            //subTitle: 'Please use normal things',
            scope: $scope,
            buttons: [
              { text: 'Cancel' },
              //{
              //    text: 'Add',
              //    type: 'button-positive',
              //    onTap: function (e) {
              //        service.Loader("show");
              //        $timeout(function () {
              //            $scope.saveQuickSpot();

              //        }, 1);
              //    }
              //}
            ]
        });
        $scope.myPopup.then(function (res) {
            //  console.log('Tapped!', res);
        });
        $timeout(function () {
            $(".popup-container").css({ zIndex: 99999 });
            $(".backdrop").css({ zIndex: 9999 });
        }, 1);
        //$(".popup-body").attr('style', 'padding:0px');
        //$timeout(function () {
        //    myPopup.close(); //close the popup after 3 seconds for some reason
        //}, 3000);
    };


    ///Go to settings controller
    $scope.rerout = function (path) {
        //$scope.closeMoreModal();
        $location.path(path);
    }

    $scope.$on('$destroy', function () {

    });

    $scope.saveQuickSpot = function () {

        $scope.data = {}
        service.Loader("hide");
        // An elaborate, custom popup
        var saveSpot = $ionicPopup.show({
            template: '<div class=" item-icon-left item-input inputField save-spot-margin" ng-click="openfocus()">' +
                        '<input type="text" class="spot-txt text-transform" ng-blur="closeKeyboard();"  ng-model="data.name" placeholder="Enter Quick Spot Title Here ..." />' +

                    '</div>',//'<input type="input" ng-model="data.name">',
            title: 'Enter Quick Spot Name',
            //subTitle: 'Please use normal things',
            scope: $scope,
            buttons: [
              { text: 'Cancel' },
              {
                  text: '<b>Save</b>',
                  type: 'button-positive',
                  onTap: function (e) {
                      if (!$scope.data.name) {
                          //don't allow the user to close unless he enters wifi password
                          e.preventDefault();
                      } else {
                          SavedLocationHandler.addQuickSpot($scope.data.name);
                      }
                  }
              }
            ]
        });
        $timeout(function () {
            $(".popup-container").css({ zIndex: 100000 });
            $(".backdrop").css({ zIndex: 99999 });
        }, 1);

    };

    $scope.savequickspots = function (spotName, icon) {
        $scope.icon = icon;
        $scope.myPopup.close();        
        var date_added = new Date();
        var formatted_date_added = date_added.toString("M/dd/yy HH:mm:ss");
        $scope.locationTitle = spotName + " - " + formatted_date_added;


        if (ionic.Platform.isAndroid()) {
            window.plugins.gpsFix.getStatus(function (data) {
                if (data.gpsEnabled) {
                    var isExistingLocation = SavedLocationHandler.isExistingLocation("", $scope.locationTitle);
                    if (isExistingLocation) {
                        service.alert(messages.MSG_LOCATION_EXISTS);
                    }
                    else if ($scope.locationTitle == "" || $scope.locationTitle == null) {
                        service.alert(messages.MSG_EMPTY_LOCATION_NAME);
                    }
                    else {
                        service.Loader("show");
                        $timeout(function () { $(".backdrop").css({ zIndex: 1000000000 }); }, 200);
                        if (localStorage.gpsInitialized == "true") {
                            //service.Loader("show");

                            $timeout(function () {

                                savespot();
                                localStorage.gpsInitialized = "false";
                                //service.Loader("hide");

                            }, 7000);
                            //$location.path('/SavedLocations/SPOTED');
                            //LockCurrentLocationModal.hide();
                        } else {
                            localStorage.gpsInitialized = "false";
                            savespot();                            
                            $timeout(function () { service.Loader("hide"); }, 600);
                            //$location.path('/SavedLocations/SPOTED');
                        }
                    }
                }
                else {
                    if (ionic.Platform.isAndroid() && ionic.Platform.version() >= 4.4) {
                        service.alert(messages.ANDROID_WARNING);
                    }
                    else if (ionic.Platform.isAndroid() && ionic.Platform.version() < 4.4) {
                        service.alert(messages.LOCATION_WARNING_EARLY_ANDROID);
                    }
                    else if (ionic.Platform.isIOS()) {
                        service.alert(messages.LOCATION_WARNING_IPHONE);
                    }
                }
            });
        }
        else {
            if ($rootScope.isGPS) {
                var isExistingLocation = SavedLocationHandler.isExistingLocation("", $scope.locationTitle);
                if (isExistingLocation) {
                    service.alert(messages.MSG_LOCATION_EXISTS);
                }
                else if ($scope.locationTitle == "" || $scope.locationTitle == null) {
                    service.alert(messages.MSG_EMPTY_LOCATION_NAME);
                }
                else {

                    service.Loader("show");
                    if (localStorage.gpsInitialized == "true") {
                        service.Loader("show");

                        $timeout(function () {

                            savespot();
                            localStorage.gpsInitialized = "false";
                            service.Loader("hide");

                        }, 5000);
                        $location.path('/SavedLocations/SPOTED');
                        LockCurrentLocationModal.hide();
                    } else {
                        localStorage.gpsInitialized = "false";
                        savespot();                        
                        $timeout(function () { service.Loader("hide"); }, 600);
                        $location.path('/SavedLocations/SPOTED');
                    }
                }
            }
            else {
                if (ionic.Platform.isAndroid() && ionic.Platform.version() >= 4.4) {
                    service.alert(messages.ANDROID_WARNING);
                }
                else if (ionic.Platform.isAndroid() && ionic.Platform.version() < 4.4) {
                    service.alert(messages.LOCATION_WARNING_EARLY_ANDROID);
                }
                else if (ionic.Platform.isIOS()) {
                    service.alert(messages.LOCATION_WARNING_IPHONE);
                }
            }

        }
    }


    var savespot = function () {
       
        var _location = SavedLocationHandler.addLocation($scope.locationTitle, "Until Cancelled", 5, "UC", $scope.icon);
        $rootScope.newSpotLocation = _location;
        // post location to server
        if (localStorage.USER_ID) {
            service.$post("Spots/AddSpot", { USER_ID: localStorage.USER_ID, LOCATION_TITLE: $scope.locationTitle, VALID_FOR: "Until Cancelled", LOCATION_COORDS: localStorage.latitude + ',' + localStorage.longitude }, function (response) { });
        }

        $scope.$broadcast("pointx.location", _location);
        $rootScope.$apply();
        $location.path('/SavedLocations/SPOTED');
        service.Loader("hide");

    }
})

.controller('SavedLocationsCtrl', function ($scope, $rootScope, $ionicModal, $stateParams, $ionicPopup, $timeout, DialogsHandler, SavedLocationHandler, service, LocationHandler, $ionicScrollDelegate, Tooltip) {
    cordova.plugins.Keyboard.close();

    LocationHandler.watchLocation();
    $scope.screenheight = $(window).height(); //-75 - 63;
    $scope.screenheight = $scope.screenheight - 118;
    
    //alert($(window).height());
    if ($rootScope.showTutorial == false) {
        $scope.screenheight = 0;
        $(".tutorial-step1").attr('style', 'display:none;');

    }


    service.SetCurrentView("SavedLocations");
    service.activateMenu('savedLocations');


    $scope.height = $(window).height() - 40;
    $scope.profilePic = localStorage.getItem("thumbURL");
    var inRangeNotifcationShown = false, trackingStopper;

    $ionicModal.fromTemplateUrl('SavedLocationRadar.html', {
        scope: $scope,
        animation: 'no-animation'
    }).then(function (modal) {
        $scope.RadarModal = modal;
    });

    $scope.saved_locations = SavedLocationHandler.getAllJSON();
    //alert(JSON.stringify($scope.saved_locations));
    $scope.doRefresh = function () {
        $scope.saved_locations = SavedLocationHandler.getAllJSON();
        service.Loader("hide");
        $scope.$broadcast('scroll.refreshComplete');
        //debugError("$scope.saved_locations: " + JSON.stringify($scope.saved_locations));
    }
    $scope.openfocus = function () {

        $("#txtLocationTitle").focus();
    }
    $scope.closeKeyboard = function () {
        cordova.plugins.Keyboard.close();
    }

    $scope.newLocation = function () {
        // LocationHandler.watchLocation();
        //LocationHandler.getCurrentPosition();
        // $timeout(function(){
        DialogsHandler.LockCurrentLocationModal.show();
        //},500);
    }

    $scope.editLocation = function (location) {
        DialogsHandler.LockCurrentLocationModal.edit(location);
    }

    $scope.$on("pointx.location", function (e, data) {
        $scope.doRefresh();
    });

    function RotateSavedLocationGola(location_name, GolaHolder_ID, Gola_ID, LATITUDE, LONGITUDE) {

        var BEARING = getBearing(LATITUDE, LONGITUDE);
        var DISTANCE = getDistance(LATITUDE, LONGITUDE);
        transform(GolaHolder_ID, 'rotate(' + (BEARING) + 'deg)');
        var distanceOnRadar = updateDistance(Gola_ID, DISTANCE);

        $scope.curr_position = { latitude: localStorage.latitude, longitude: localStorage.longitude };

        $scope.local_location = localStorage.latitude + ", " + localStorage.longitude;
        $scope.my_location = LATITUDE + ", " + LONGITUDE;

        $scope.distance = getDistanceWithUnit(DISTANCE);
        /*if(DISTANCE <= 30 && inRangeNotifcationShown == false){
            inRangeNotifcationShown = true;
            if(IsRunnung){
                service.alert(location_name + ' is in your range');
            }
            else{
                window.plugin.notification.local.add({
                    message: location_name + ' is in your range',
                });
            }
        }*/
    }

    var startTracking = function () {
        trackingStopper = $rootScope.$watch('popup_latitude', function () {
            RotateSavedLocationGola(location.name, "GolaHolder_Location", "Location_Gola", $scope.in_progress_location.coords.latitude, $scope.in_progress_location.coords.longitude);
            //alert("popup_latitude Changed" + localStorage.getItem("latitude"));
            var lat = localStorage.getItem("latitude");
            var lng = localStorage.getItem("longitude");
            $scope.center = [lat, lng];
            //$scope.spot = [$scope.in_progress_location.coords.latitude, $scope.in_progress_location.coords.longitude];
        });
    }


    var lat = localStorage.getItem("latitude");
    var lng = localStorage.getItem("longitude");
    $scope.center = [lat, lng];
    $scope.spot = [lat, lng];


    $scope.viewDetail = function (location) {
        localStorage.setItem("firstTime", "true");
        $rootScope.showTutorial = false;
        var lat = localStorage.getItem("latitude");
        var lng = localStorage.getItem("longitude");
        $scope.center = [lat, lng];
        $scope.spot = [location.coords.latitude, location.coords.longitude];

        $app.initCompass();
        inRangeNotifcationShown = false;
        $scope.LOCATION_TITLE = location.name;
        $scope.in_progress_location = location;
        RotateSavedLocationGola(location.name, "GolaHolder_Location", "Location_Gola", location.coords.latitude, location.coords.longitude);

        startTracking();

        $scope.mecolor = "url(images/bluedot_retina.png) no-repeat";//"#449ae8";
        $scope.color = "#ffff02";

        var width = window.innerWidth;
        $scope.width = width + "px";
        $scope.height = width + "px";
        var left = (310 / width) * 100;
        $scope.left = (100 - left) / 2 + "%";
        var left2 = (270 / width) * 100;
        $scope.left2 = (100 - left2) / 2 + "%";
        $scope.width2 = (width - 10) + "px";
        $scope.height2 = (width - 10) + "px";

        $scope.RadarModal.show();


        if (localStorage.showTips == "true") {
            Tooltip.show("#me_gola_tip_hook", messages.tip_spot_radar, { my: "bottom center", at: "top center" }, false, null, null, function () {
                localStorage.showTips = "false";
            });
        }
    }

    $scope.showRadarMap = "<i class='icon ion-map'></i><br/>View on Map";
    $scope.isMapViewed = false;
    $scope.mapCreated = function (map) {
        $scope.map = map;
    };
    $scope.showMap = function () {

        if ($scope.isMapViewed == false) {
            $scope.showRadarMap = "<i class='icon icon-icon-radar-circle pink-color'></i><br/><span class='pink-color2'>View on Radar</span>";
            $(".radarShow").attr('style', 'display:none');
            $(".mapit").attr('style', 'display:block;');
            $scope.isMapViewed = true;
            var lat = localStorage.getItem("latitude");
            var lng = localStorage.getItem("longitude");
            $scope.center = [lat, lng];
            $timeout(function () { $rootScope.$broadcast('map.reload'); }, 5);
        }
        else {
            $scope.isMapViewed = false;
            $scope.showRadarMap = "<i class='icon ion-map'></i><br/>View on Map";
            $(".radarShow").attr('style', 'display:block');
            $(".mapit").attr('style', 'display:none;');

        }
    }
    $scope.back = function (location) {
        if ($scope.isMapViewed == true) {
            $scope.isMapViewed = false;
            $scope.showRadarMap = "<i class='icon ion-map'></i><br/>View on Map";
            $(".radarShow").attr('style', 'display:block');
            $(".mapit").attr('style', 'display:none;');
        }
        else {
            $scope.RadarModal.hide();
        }
        trackingStopper();
    }

    $scope.openLink = function () {
        window.open('http://www.approachme.net', '_system');
        // if($rootScope.Iphone != true)
        //{
        // window.open('https://play.google.com/store/apps/details?id=com.approachme.approachme', '_system');
        // }
        // else{
        // window.open('https://itunes.apple.com/us/app/approachme/id930075065?ls=1&mt=8', '_system');}
    }

    $scope.deleteLocation = function (location) {
        service.confirm(messages.MSG_DELETE_SAVED_LOCATION, function (button) {
            service.Loader("show");
            if (button === 2) {
                SavedLocationHandler.deleteLocationById(location.id);
                $scope.doRefresh();
            }
            else {
                service.Loader("hide");
            }
        });
    }

    $scope.showGPSAlert = function () {

        if ($rootScope.isGPS == false) {

            //$rootScope.Android44 = false;
            //$rootScope.Android40 = false;
            //$rootScope.Iphone = false;
            if ($rootScope.Android44 == true) {
                $rootScope.NoGPSMessage = messages.ANDROID_WARNING;
            }
            if ($rootScope.Android40 == true) {
                $rootScope.NoGPSMessage = messages.LOCATION_WARNING_EARLY_ANDROID;
            }
            if ($rootScope.Iphone == true) {
                $rootScope.NoGPSMessage = messages.LOCATION_WARNING_IPHONE;
            }

            var alertPopup = $ionicPopup.alert({
                title: '<i class="icon ion-sad"></i>',
                templateUrl: 'NoGPS.html',
                okType: 'button-dark'
            });
        }
        else {
            var alertPopup = $ionicPopup.alert({
                title: 'GPS Status',
                templateUrl: 'GPSStats.html',
                okType: 'button-dark'
            });
        }

        $timeout(function () {
            $(".popup-container").css({ zIndex: 99999 });
            $(".backdrop").css({ zIndex: 9999 });
        }, 1);

    }

    $scope.shortenText = function (nTitle, limit) {
        var nTitle = $.trim(nTitle);
        if (nTitle.length > limit) {
            return nTitle.substr(0, limit) + "...";
        }
        return nTitle;
    }

    $scope.$on('application_paused', function (e) {
        debugError("calculations stopped on pause.");
        $("#amRadNeedle").removeClass("radar-spin");
        if (trackingStopper) {
            trackingStopper();
        }
    });

    $scope.$on('application_resumed', function (e) {
        debugError("calculations started on resume.");
        $("#amRadNeedle").addClass("radar-spin");
        if ($scope.in_progress_location) {
            startTracking();
        }
    });

    debugError("SavedLocation localStorage.showTips: " + localStorage.showTips);
    if (localStorage.showTips == "true" && $scope.saved_locations.length > 0) {
        $timeout(function () {
            Tooltip.show("#sl_swipe_left_tip_hook_0", messages.tip_swipe_left, { my: "top center", at: "bottom center" }, false);
        }, 500);
    }

    $scope.$on('$destroy', function () {
        $scope.RadarModal.remove();
        $app.stopCompass();
        trackingStopper();

    });

    if ($stateParams.spotID == "SPOTED") {
        service.Loader("show");
        $scope.doRefresh();
        $timeout(function () {

            //alert($stateParams.spotID);
            $scope.viewDetail($scope.saved_locations[$scope.saved_locations.length - 1]);
            service.Loader("hide");
        }, 1500);
        //$timeout(function () {
   
        //}, 600);
    }

})


.controller('MyNotificationsCenterCtrl', function ($scope, $rootScope, $location, $ionicModal, $timeout, service) {
    var USER_ID = localStorage.getItem("USER_ID");

    service.SetCurrentView("MyNotificationsCenter");
    analytics.trackView('MyNotifications Screen');
    $timeout(function () {
        service.setNotificationsCount(0);
        //update notifications as veiwed
        service.$getJSON("Notifications/NotificationsViewed", { USER_ID: USER_ID }, function (res) { });
    }, 1000);

    $scope.height = $(window).height() - 40;



    var RECORDS = 10, LIMIT = 20;

    $scope.doRefresh = function () {
        var dName = "";
        //service.Loader("show");
        service.$getJSON("Notifications/GetNotifications", { USER_ID: USER_ID }, function (response) {
            service.Loader("hide");
            // if (response.status == "ok") {               
            var d = response.data;
            debugError("d.NOTIFICATIONS.length: " + d.NOTIFICATIONS.length);
            $rootScope.MY_NOTIFICATIONS = concatDisplayName(d.NOTIFICATIONS);
            service.setNotificationsCount();
            // }            
            $scope.$broadcast('scroll.refreshComplete');
        }, function () {
            $scope.$broadcast('scroll.refreshComplete');
        });
    }
    $timeout(function () { $scope.doRefresh(); }, 1000);

    function concatDisplayName(data) {
        for (var i = 0; i < data.length; i++) {
            data[i].DISPLAY_NAME = data[i].USER_NAME;
            if (data[i].CONTACT_NAME.length > 0 && data[i].CONTACT_NAME != data[i].USER_NAME) {
                data[i].DISPLAY_NAME = data[i].CONTACT_NAME + " (" + data[i].USER_NAME + ")";
            }
        }
        return data;
    }

    $scope.LoadMore = function () {
        //service.Loader("show");
        service.$getJSON("Notifications/GetNotifications", { USER_ID: USER_ID }, function (response) {
            service.Loader("hide");
            var d = response.data;
            debugError("d.NOTIFICATIONS.length: " + d.NOTIFICATIONS.length);
            if (d.NOTIFICATIONS.length > 0) {
                for (var i = 0; i < d.NOTIFICATIONS.length; i++) {
                    d.NOTIFICATIONS[i].DISPLAY_NAME = d.NOTIFICATIONS[i].USER_NAME;
                    if (d.NOTIFICATIONS[i].CONTACT_NAME != d.NOTIFICATIONS[i].USER_NAME) {
                        d.NOTIFICATIONS[i].DISPLAY_NAME = d.NOTIFICATIONS[i].CONTACT_NAME + " (" + d.NOTIFICATIONS[i].USER_NAME + ")";
                    }
                    $rootScope.MY_NOTIFICATIONS.push(d.NOTIFICATIONS[i]);
                }

                service.setNotificationsCount();
                RECORDS += 10;
            }
            $scope.$broadcast('scroll.infiniteScrollComplete');
        });
    }

    $scope.deleteNotification = function (notification) {
        service.confirm(messages.MSG_DELETE_NOTIFICATION, function (button) {
            if (button === 2) {
                $rootScope.MY_NOTIFICATIONS.splice($rootScope.MY_NOTIFICATIONS.indexOf(notification), 1);
                //service.Loader("show");
                service.$getJSON("Notifications/DeleteNotification", { NOTIFICATION_ID: notification.NOTIFICATION_ID }, function (response) { service.Loader("hide"); });
            }
        });
    }

    $scope.viewDetail = function (notification, type, key_id) { // will be spot id - spot notification or touserid - chat message
        notification.CHECKED = true;
        //service.Loader("show");
        service.$getJSON("Notifications/UpdateNotification", { NOTIFICATION_ID: notification.NOTIFICATION_ID }, function (response) {
            //service.Loader("hide");
        });
        // update notifications count in left menu
        service.setNotificationsCount();

        debugError("type: " + type);
        debugError("key_id: " + key_id);
        if (type == "ADMIN_NOTIFICATION" || type == "ALERT") {
            service.alert(notification.MESSAGE);
        }
    }

    //$scope.cancel = function () {
    //    //$scope.ViewEventFriends.hide();
    //}



    $scope.format_date = function (date) {
        if (date != null && date.length > 0) {
            return service.formatDateWithZone(date);//moment(date).fromNow();//service.elapsedTime(date);
        }
    }

    $scope.format_spot_date = function (d) {
        return new Date(d).toString("MMMM dd, yyyy");
    }

    $scope.$on('$destroy', function () {
        service.$getJSON("Notifications/NotificationsChecked", { USER_ID: USER_ID }, function (res) { });
    });
})