
function updateDistance(GOLA_ID, DISTANCE) {
    var calculatedDistance = DISTANCE;
    debugError("Calculated Distance: " + calculatedDistance);
    
    var distanceOnRadar = 0;
    
    if (calculatedDistance >= 0 && calculatedDistance <= 30)
    {
        // Area Allocated for this range is from 135px to 100px
        distanceOnRadar = 145 - calculatedDistance;
    }

    if (calculatedDistance > 30 && calculatedDistance <= 50) {
        // Area Allocated for this range is from 100px to 70px
        distanceOnRadar = 120 - calculatedDistance;
    }

    if (calculatedDistance > 50 && calculatedDistance <= 80) {
        // Area Allocated for this range is from 70px to 45px
        distanceOnRadar = 108 - calculatedDistance;
    }

    // Out of Range
    if (calculatedDistance > 80) {
        distanceOnRadar = 3; //125
    }
    
    debugError("distanceOnRadar: " + distanceOnRadar);
    debugError("GOLA_ID: " + GOLA_ID);
    
    var ele = byId(GOLA_ID);
    if(ele != null){
        //ele.style.top = distanceOnRadar + "px";
    }
    $("#" + GOLA_ID).animate({ top: distanceOnRadar + "px" });
    return distanceOnRadar;
}

function calculateRatio(distance){
    var height = 160;
    var percentage = (distance * 100) / height;
    percentage = 100 - percentage;
    percentage = percentage/2;
    return percentage;
}


function getDistance(Lat2, Long2) {
    debugError("Lat2: " + Lat2 + ", Long2: " + Long2);
    var Lat1 = GlobalCoords.LATITUDE;//localStorage.getItem("latitude");
    var Long1 = GlobalCoords.LONGITUDE;//localStorage.getItem("longitude");
    debugError("Lat1: " + Lat1 + ", Long1: " + Long1);
    
    dDistance = 0;
    dLat1InRad = Lat1 * (Math.PI / 180.0);
    dLong1InRad = Long1 * (Math.PI / 180.0);
    dLat2InRad = Lat2 * (Math.PI / 180.0);
    dLong2InRad = Long2 * (Math.PI / 180.0);

    dLongitude = dLong2InRad - dLong1InRad;
    dLatitude = dLat2InRad - dLat1InRad;

    // Intermediate result a.
    a = Math.pow(Math.sin(dLatitude / 2.0), 2.0) +
               Math.cos(dLat1InRad) * Math.cos(dLat2InRad) *
               Math.pow(Math.sin(dLongitude / 2.0), 2.0);

    // Intermediate result c (great circle distance in Radians).
    c = 2.0 * Math.asin(Math.sqrt(a));

    // Distance.
    // const Double kEarthRadiusMiles = 3956.0;
    kEarthRadiusKms = 6376.5;
    dDistance = kEarthRadiusKms * c;

    return Math.round(dDistance * 1000); // in meters
}

function getDistanceWithUnit(distance){
    var distanceUnit = localStorage.getItem("DEFAULT_DISTANCE_UNIT");
        //distanceUnit = distanceUnit != "" distanceUnit : "M";
    var dFeet = (distance * 3.2808),
        unit = distanceUnit == "F" ? "ft" : "m",
        finalDistance = dFeet;
    
    if(dFeet <= 50 || distance <= 15){
        return "You can see it";
    }
    
    if(distanceUnit == "M"){
        finalDistance = distance;// meter
        unit = "m";
    }
    
    if(distanceUnit == "F"){
        finalDistance = dFeet; // feet
        unit = "ft";
    }
    
    if(finalDistance > 5280 && distanceUnit == "F"){
        finalDistance = finalDistance * 0.00018939;// Mi
        unit = "mile" + (finalDistance == 1 ? "" : "s");
        if(finalDistance > 1000){ // if greater than 1000 miles
            return "Out of Range";
        }
    }
    
    if(finalDistance > 1000 && distanceUnit == "M"){
        finalDistance = finalDistance / 1000;// kilometer
        unit = "Km";
        if(finalDistance > 1000){ // if greater than 1000Km then show out of range
            return "Out of Range";
        }
    }
    /*
    if(dFeet > 1000){
        finalDistance = dFeet / 3.2808;// meter
        unit = "m";
    }
    
    if(finalDistance > 1000){ // miles
        finalDistance = finalDistance * 0.62137;
        unit = "Mi";
    }
    */
    return Math.round(finalDistance) + " <span class='i-unit'>" + unit + "</span><div class='aprx'>approx.</div>";
}


function getBearing(lat2, lng2) {
    var lt1 = GlobalCoords.LATITUDE; //localStorage.getItem("latitude")
    var ln1 = GlobalCoords.LONGITUDE;//localStorage.getItem("longitude")

    var lat1 = toRad(lt1);
    var lng1 = toRad(ln1);

    var hexLat2 = lat2;
    var hexlng2 = lng2;

    lat2 = toRad(lat2);
    lng2 = toRad(lng2);

    //debugError("======================================================");
    //debugError("toRad(Lat1): " + lt1);
    //debugError("toRad(Lng1): " + ln1);

    //debugError("toRad(Lat2): " + lat2);
    //debugError("toRad(Lng2): " + lng2);
    //debugError("======================================================");

    var deltaLng = (lng2 - lng1);
    var y = Math.cos(lat2) * Math.sin(deltaLng);
    var x = Math.cos(lat1) * Math.sin(lat2) -
    Math.sin(lat1) * Math.cos(lat2) * Math.cos(deltaLng);

    //debugError("magneticBearing: " + (toDeg(Math.atan2(y, x)) + 360) % 360);
    // http://www.bdcc.co.uk/Gmaps/Services.htm
    // http://www.geosats.com/magdecli.html

    ///
    var wmm = new WorldMagneticModel();
    var wdt = new Date();
    var wmmDate = wdt.getFullYear() + ((wdt.getMonth() + 1) / 12.0);
    var dec = wmm.declination(0.0, hexLat2, hexlng2, wmmDate);  // altitude, lat, long, date
    debugError("magnetic declination: " + dec);

    // var final_bearing = 0;

    /*
    if(dec < 0){
        dec = dec + 360.0;
    }
    */

    //debugError("magnetic_heading compass: " + magnetic_heading);
    //debugError("compassHeading: " + compassHeading);

    var final_bearing = ((toDeg(Math.atan2(y, x)) + 360) % 360); // magneticBearing + magneticDeclination

    debugError("final_bearing: " + final_bearing);

    //alert("Deviation: " + dec);
    //alert("Bearing: " + final_bearing);
    var afterAddition = final_bearing - dec;
    //alert("Final Bearing: " + afterAddition)

    return (afterAddition);
}

function getBearingForLongDistance(lat2, lng2) {
    var lt1 = GlobalCoords.LATITUDE; //localStorage.getItem("latitude")
    var ln1 = GlobalCoords.LONGITUDE;//localStorage.getItem("longitude")

    var lat1 = toRad(lt1);
    var lng1 = toRad(ln1);

    var hexLat2 = lat2;
    var hexlng2 = lng2;

    lat2 = toRad(lat2);
    lng2 = toRad(lng2);

    var dLon = (lng2 - lng1);
    var y = Math.sin(dLon) * Math.cos(lat2);
    var x = Math.cos(lat1) * Math.sin(lat2) - Math.sin(lat1) * Math.cos(lat2) * Math.cos(dLon);
    var brng = toDeg(Math.atan2(y, x));
    var finalBearing = 360 - ((brng + 360) % 360);

    var wmm = new WorldMagneticModel();
    var wdt = new Date();
    var wmmDate = wdt.getFullYear() + ((wdt.getMonth() + 1) / 12.0);
    var dec = wmm.declination(0.0, hexLat2, hexlng2, wmmDate);  // altitude, lat, long, date
    debugError("magnetic declination: " + dec);

    debugError("finalBearing: " + finalBearing);

    return (finalBearing - dec);
}

function getBearingWithAngle(coords){
    return getAngleString(getBearing(coords.LATITUDE, coords.LONGITUDE));
}

function getAngleString(angle) {
    var position = ((angle + 45 / 2) / 45 | 0) % 8 * 2;
    return (angle * 10 | 0) / 10 + "&deg;" + ("N NEE SES SWW NW".substr(position, 2));
}

function RotateGola(USER_ID, USER_NAME, GolaHolder_ID, Gola_ID, LATITUDE, LONGITUDE, $rootScope) {
    var distanceOnRadar,
        MY_USER_ID = localStorage.getItem("USER_ID");
        //debugError("RotateGola USER_ID: " + USER_ID);
        //debugError("RotateGola MY_USER_ID: " + MY_USER_ID);
    if(USER_ID != MY_USER_ID && USER_ID != ""){
        // Calculalate Bearing from the latlong of center from this provided one and pass it to the function
        var BEARING = getBearing(LATITUDE, LONGITUDE);
        var DISTANCE = getDistance(LATITUDE, LONGITUDE);
        transform(GolaHolder_ID, 'rotate(' + (BEARING) + 'deg)');
        distanceOnRadar = updateDistance(Gola_ID, DISTANCE);
        //$("#bearing").html("BEARING: " + Math.round(BEARING) + ", DISTANCE: " + DISTANCE + ", distOnRadar: " + distanceOnRadar);
    }
    
    if(DISTANCE <= 152){
        isInRangeForLocUpdate = true;
    }
    
    // notify if a user enters in range
    var isNotified = localStorage.getItem(MeetupSpotID + "_" + USER_ID + "_NOTIFIED");
    //debugError(USER_NAME + " In Range Notified: " + isNotified + ", typeof isNotified: " +(typeof isNotified));
    if(DISTANCE <= 100 && isNotified != "true" && USER_ID != MY_USER_ID){
            
        window.plugin.notification.local.add({
            title: 'PointX',
                message: USER_NAME + ' is in your range',
        });
        localStorage.setItem(MeetupSpotID + "_" + USER_ID + "_NOTIFIED", "true");
                
        $.post(URL + "/AddNotification", { USER_ID:MY_USER_ID, FRIEND_ID:USER_ID, KEY_ID: MeetupSpotID, MESSAGE:'is in your range', TYPE:'SPOT' }, function(response){
            //debugError("AddNotification() Response: " + JSON.stringify(response));
            if(USER_ID != MY_USER_ID){
                $rootScope.MY_NOTIFICATIONS.unshift(response.NOTIFICATION);
            }
        }, "json");
        isInRangeForLocUpdate = true;
        
        if(IsRunnung){
            navigator.notification.alert(USER_NAME + ' is in your range', function () { }, 'PointX', 'OK');
        }
    }
    else{
        if(DISTANCE > 200){
            //localStorage.setItem(USER_ID + "_NOTIFIED", "false");
            isInRangeForLocUpdate = false;
        }
    }
}

var byId = function (id) {
    return document.getElementById(id);
};

var transform = function (id, commands) {
    var props = ['transform', 'webkitTransform', 'mozTransform',
                 'msTransform', 'oTransform'];
    var node = byId(id);

    //debugError("Rotate this: " + id);

    for (var i = 0; i < props.length; i++) {
        if (node && typeof (node.style[props[i]]) != 'undefined') {
            node.style[props[i]] = commands;
            debugError([props[i]] + " " + commands);
            break;
        }
    }
};

var round = function (value) {
    return Math.round(value * 100) / 100;
};

function toRad(deg) {
    return deg * Math.PI / 180;
}

function toDeg(rad) {
    return rad * 180 / Math.PI;
}

//transform('dvGola_A', 'rotate(' + (93.51) + 'deg)');


