window.messages = {
    DELETE_EVENT_CONTACT:"You have been removed from {0} meetup.",
    UNAUTHORIZED_START_EVENT:"You have not joined the meetup yet. Please swipe to the left over the meetup and press 'Join' to start.",
    EVENT_REMIND:"You have been invited by {0} for {1} meetup using PointX! http://approachme.net",
    
    SEND_OTA: "",
    ACCEPTED_OTA: "Your request has been accepted by {0}",
    REJECTED_OTA: "Your request has been rejected by {0}",
    
    VERIFICATION_CODE_SMS: "Verification Code for PointX: {0} \n\n Close this message and enter the code into PointX to activate your account.",
    VERIFICATION_CODE_SENT: "Verification code has been sent to {0}",
    RESEND_ATTEMPTS_EXCEEDED: "You have exceeded the resend attempts. You will be able to resend after 12 hours.",
    
    CONFIRM_EVENT: "Selected friends will be notified of the meetup and will be added once they accept.",
    
    SMS_EVENT_CONTACT: "You have been invited by {0} for {1} meetup using PointX! http://approachme.net",
    PUSH_EVENT_CONTACT: "You have been invited by {0} for {1} meetup",
    JOIN_EVENT: "{0} has joined the {1} meetup",
    LEFT_EVENT: "{0} has left the {1} meetup",
    
    CONFIRM_NUMBER: "Are you sure the provided number ({0}) is correct?",
    
    LOCATION_CALIBRATING : "Initializing GPS...",
    LOCATION_WARNING: "Your GPS Accuracy is Very low.  If you save the location now, you may have trouble getting back at the same spot.  Please move to an open area and wait until your GPS indicator is at full strength.",
    LOCATION_WARNING_EARLY_ANDROID: "Without Location Services enabled, you won't be able to use PointX to locate your Saved Spots.\n\nGo to Settings > Location Services > Enable Location Services",
    ANDROID_WARNING: "Without Location Services enabled, you won't be able to use PointX to locate your Saved Spots.\n\nGo to Settings > Location > Mode > High accuracy",
    CONTACTS_ACCESS_DENIED: "You don't have any contacts",
    LOCATION_WARNING_IPHONE: "Without Location Services enabled, you won't be able to use PointX to locate your Saved Spots.\n\nGo to Settings > Privacy > Location Services > PointX > Enable Location Services",
    NOT_JOINED_MEETUP_SPOT: "{0} has not joined the Meetup yet.",
    
    MSG_EVENT_NAME: "Please provide Meetup title.",
    MSG_EVENT_TIME: "Please provide Meetup Time.",
    MSG_EVENT_CONTACT: "Please select at least one friend to continue.",
    
    MSG_INVALID_NUMBER: "Please provide a valid number.",
    
    MSG_CONFIRM_LEAVE_SPOT: "Do you want to {0} the {1} Meetup?",
    MSG_CONFIRM_DELETE_SPOT: "Do you want to remove the {0} Meetup?",
    
    MSG_NON_MEMBER: "The Meetup has expired and is no longer valid.",
    
    MSG_MAX_EVENTS: "Sorry, you are limited to only {0} meetups at a time. Delete old ones to create a new meetup",
    MSG_MAX_USERS: "Sorry, you are limited to only {0} guests for each meetup spot. You can remove a guest by swiping left.",



    MSG_INTERNER_NOT_WORKING: "Internet is NOT available.",


    MSG_FEEDBACK: "Thank you for submitting your suggestion.",
    MSG_SUPPORT_FEEDBACK: "Thank you for submitting your suggestion.",
    MSG_BLOCK_FEEDBACK_SUBMITED: "You have already submited suggestion. PointX support will contact you. Please be patient.",
    
    MSG_CONFIRM_DELETE_USER: "Are you sure you want to remove {0} from Meetup?",
    MSG_EXISTING_MEETUP: "'{0}' meetup already exists in your meetups list. Please delete that meetup to create a new one.",
    MSG_EXISTING_FRIENDS: "Meetup already exists with selected friends.",
    
    MSG_PROFILE_NAME: "Please provide profile name",
    
    MEETUP_REMINDER_SENT: "{0} has been reminded.",
    REMINDER_WARNING: "You can remind this friend again in {0} hours.",
    
    PHOTO_UPLOADING_ERROR:"Error uploading photo. Please try again.",
    
    MSG_FIND_EACH_OTHER_NOW:"<p>{0}</p> <p>(Phone #: {1})</p> <p>invites you to Find Each Other Now</p>",
    MSG_FIND_EACH_OTHER_LATER: "<p>{0}</p> <p>(Phone #: {1})</p> <p>invites you to Find Each Other</p> <p>at '{2}'</p>",

    MSG_EMPTY_LOCATION_NAME:"Please provide spot name.",
    
    MSG_DELETE_SAVED_LOCATION: "Are you sure you want to delete this spot?",
    MSG_LOCATION_EXISTS: "Spot already exists. Please try with a different name.",
    QUICKSPOT:"Quick Spot Already Exists",
    MSG_DELETE_CONVERSATION: "Do you really want to delete this conversation?",
    MSG_DELETE_NOTIFICATION: "Do you really want to delete this notification?",
    MSG_DELETE_FRIEND: "Do you really want to delete this friend?",

    TELL_A_FRIEND_MSG: "Hi!  Check out this cool, free radar app called PointX.  It lets you save a spot so you can walk to it again.\nhttp://pointx.me/",

    // TELL_A_FRIEND_MSG:"Check out PointX®, the ONLY app that lets family & friends find each other using a Self-Guiding Radar instead of a map.  You can easily find each other in crowded areas such as Concerts, Shopping Centers, Sporting Events, Fairs, Parks, etc....  You can also use it to find saved spots like where you parked your car.  Best of all, you won't ever have to give up your privacy.\n http://approachme.net",
    
    MSG_FRIEND_SELECT: "You must select at least one friend to continue.",
    
    tip_bulb: "Welcome to the PointX Guided Tour! You can turn the tour OFF anytime by tapping the light bulb.<br/><br/>Tap to begin...",
    
    tip_feo: "<strong>Find Each Other</strong> lets you meet up with your invited friends without the need for a fixed location or address. You will be able to find each other using the Radar even if you are moving around.<br/><br/>Next, let's invite a friend to meetup with...<br/><div class='small'>(Tap to close)</div>",
    
    tip_mark_this_spot:"This feature will let you <strong>Mark This Spot</strong> so you can find it later using the self-guiding Radar.<br/><div class='small'>(Tap to close)</div>",
   
    tip_on_radar:"Great! Your friend will get a notification to download the app if he/she has not already installed it. Once your friend accepts the invite, he/she will appear as a colored dot on your radar screen.  You are the clear dot in the center of the radar.<br/><br/>The distance between the two of you will be displayed next to your friend’s name. Once he/she is within 300ft./92m of your location, you will receive an alert. The Radar will guide you to each other!<br/><br/>Swipe left on the name area for more options.<br/><br/><small>*Optimized results outdoors</small><br/><div class='small'>(Tap to close)</div>",
    
    tip_on_radar_try_now:"While you wait for your friend to accept your invite, would you like to see another Cool Feature? <div class='button-bar'><a class='button button-clear' style='color: #4f4f54;'>Not Now</a> <a class='button button-clear' href='#/Dashboard/show_mark_this_spot_tip' style='color: #4f4f54; font-weight:bold;'>Show Me</a><br/></div><div class='small'>(Tap to close)</div>",
    
    tip_select_friend:"Please select the friend whom you would like to invite. You will be able to select more for normal use, but for now, we’ll try it out with just one.<br/><div class='small'>(Tap to close)</div>",
    
    tip_save_spot:"Let's try this out by naming the spot where you are now.<br/><div class='small'>(Tap to close)</div>",
    
    tip_first_time:"<span>Let’s get started with the two key features: <br/><strong>Find Each Other</strong> and <strong>Mark This Spot</strong>.<br/><div class='small'>(Tap to close)</div></span>",
    
    tip_meetup_name: "This information is optional. You can enter a title for the meetup and you can change when the meetup will expire. You can skip this step by tapping Engage Radar below.<br/><div class='small'>(Tap to close)</div>",
    
    tip_swipe_left: "Tap on your Marked Spot to view on the Radar.<br/><br/>You also can swipe left to view more options.<br/><div class='small'>(Tap to close)</div>",
    
    tip_meetups_swipe_left: "Tap on your Meetup to view on the Radar.<br/><br/>You also can swipe left to view more options.<br/><div class='small'>(Tap to close)</div>",
    
    tip_spot_radar: "You are the blue dot in the middle and the color dot is the saved spot. When you walk away, the color dot will move accordingly relative to your position. You can easily return to the spot by following the Radar.<br/><br/>This concludes your tour.<br/><br/>You can launch the tour again by tapping the Light Bulb on the main screen.<br/><br/><small>*Optimized results outdoors</small><br/><div class='small'>(Tap to close)</div>",
    
    enable_gps:"This feature is disabled because your location services/GPS is off. Please turn on your location services/GPS in order to proceed."
}

window.InfoTexts = {
    MEETUP_NOW_INFO: "Find Each Other Now! - If your family or friends are close by and you want to find each other, use this feature to create a quick Invite request. ",
    PLAN_MEETUP_INFO: "Find Each Other Later... - If you are planning to meet up with family or friends at a later time or at a specific place, then use this feature to send out a scheduled meetup request.",
    SCHEDULED_MEETUPS_INFO: "Scheduled Meetups - Here you can view all your pending Invitations and already scheduled meetups.",
    SAVE_CURRENT_LOCATIONS: "Save This Spot - Use this feature to save the spot of your car in a parking lot, or any random spot, so you can easily and quickly walk back to it again.",
    SAVED_LOCATIONS: "Saved Spots - Here you can view all the various spots you have saved."
}

