// fix for ios8
//https://github.com/phonegap-build/PushPlugin/pull/317/files#diff-0

// iOS Only
function onNotificationAPN(event) {
    debugError("onNotificationAPN(): " + JSON.stringify(event));



    // alert(JSON.stringify(event));
    //if (event.alert){
    if (localStorage.USER_ID) {
        if (!localStorage.notiMessage) {
            localStorage.setItem("notiMessage", event.message);

            //var _scope = angular.element($('[ng-controller=MyNotificationsCenterCtrl]')).scope();
            var $body = angular.element(document.body);   // 1
            var $rootScope = $body.scope().$root;
            $rootScope.NEW_NOTI_COUNT++;// 2
            debugError($rootScope.NEW_NOTI_COUNT);
            $rootScope.$apply(function () {               // 3

            });
        }
        else {
            localStorage.removeItem("notiMessage");
        }
    }

    //}

    if (event.sound) {
        //var snd = new Media(event.sound);
        //snd.play();
    }

    if (event.badge) {
        pushNotification.setApplicationIconBadgeNumber(successHandler, errorHandler, event.badge);
    }

}

function tokenHandler(result) {
    debugError("device token: " + result);
    localStorage.setItem("deviceToken", result);
    // Your iOS push server needs to know the token before it can push to this device
    // here is where you might want to send it the token for later use.
}


// Android and Amazon Fire OS
function onNotification(e) {
    //$rootScope.NEW_NOTI_COUNT += 1;

    //alert("onNotificationAPN(): " + JSON.stringify(e));
    
    switch (e.event) {
        case 'registered':
            if (e.regid.length > 0) {
                // Your GCM push server needs to know the regID before it can push to this device
                // here is where you might want to send it the regID for later use.
                localStorage.setItem("deviceToken", e.regid);
                debugError("regID = " + e.regid);
            }
            break;

        case 'message':
            // if this flag is set, this notification happened while we were in the foreground.
            // you might want to play a sound to get the user's attention, throw up a dialog, etc.

           

            if (e.foreground) {
                // on Android soundname is outside the payload. 
                // On Amazon FireOS all custom attributes are contained within payload

                debugError("c: " + JSON.stringify(e));
                if (e.message) {
                    //navigator.notification.alert(event.alert, function(){
                    //alert(localStorage.USER_ID);
                    debugError("d");
                    if (localStorage.USER_ID) {
                        if (!localStorage.notiMessage) {
                            localStorage.setItem("notiMessage", e.message);

                            //var _scope = angular.element($('[ng-controller=MyNotificationsCenterCtrl]')).scope();
                            var $body = angular.element(document.body);   // 1
                            var $rootScope = $body.scope().$root;
                            $rootScope.NEW_NOTI_COUNT++;// 2
                            debugError($rootScope.NEW_NOTI_COUNT);
                            $rootScope.$apply(function () {               // 3

                            });
                        }
                        else {
                            localStorage.removeItem("notiMessage");
                        }
                        //alert(JSON.stringify($rootScope));
                        //if (_scope) {
                        //    _scope.$apply(function () {
                        //        _scope.doRefresh();
                        //    });
                        //}
                        //if(event.alert.indexOf("invited") !== -1){
                        //window.location.href = "#/Events/VIEW_PENDING";
                        //}
                    }
                    // }, 'ApproachMe', 'OK');
                }

                var soundfile = e.soundname || e.payload.sound;
                // if the notification contains a soundname, play it.



                //var my_media = new Media("/android_asset/www/sounds/beep.wav");
                //my_media.play();
            }
            else {	// otherwise we were launched because the user touched a notification in the notification tray.
                if (e.coldstart) {
                    //COLDSTART NOTIFICATION
                }
                else {
                    //BACKGROUND NOTIFICATION
                }
            }

            debugError('MESSAGE -> MSG: ' + e.payload.message);
            debugError('MESSAGE -> MSGCNT: ' + e.payload.msgcnt);
            debugError('MESSAGE -> TIMESTAMP: ' + e.payload.timeStamp);
            break;

        case 'error':
            debugError('ERROR -> MSG:' + e.msg);
            break;

        default:
            debugError('EVENT -> Unknown, an event was received and we do not know what it is');
            break;
    }
}

function successHandler(result) {
    debugError("Push Notification successHandler(): " + result);
}

function errorHandler(error) {
    debugError("Push Notification errorHandler(): " + error);
}
