angular.module('app.services', [])

.factory('service', function ($http, $q, $ionicLoading, $rootScope, $location, $timeout, $ionicPopup) {

    var thumbURL = "http://dev.service.v2.approachme.net/img.profile/",//"http://service.v2.approachme.net/img.profile/";//"http://img.approachme.net/",
        serviceURL = "http://api.pointx.me/api/",//http://dev.api.pointx.me/api/
		photoUploadURL = "http://dev.service.v2.approachme.net/Home/UploadThumb",
        AgendaList = Messages = USER_ID = loading = null,
        uploadedFile = "",
        base64Image = null,
		LoggedIn = true,
        checkNetwork = true,
		checkNetworkInterval = 5000,
        Limit = 10,
        MessageRecord = 0,
        CurrentView = "";   

    

    function getDaysInMonth(month,year) {     
        if( typeof year == "undefined") year = 1999; // any non-leap-year works as default     
        var currmon = new Date(year,month),     
            nextmon = new Date(year,month+1);
        return Math.floor((nextmon.getTime()-currmon.getTime())/(24*3600*1000));
    }
    
    function elapsedTime(createdAt)
    {
        if(createdAt != "" || typeof createdAt != 'undefined'){
            //"dddd, MMMM dd, yyyy h:mm:ss tt"
            var date = new Date(createdAt.split("T")[0]);
            var ageInSeconds = Math.round((new Date().getTime() - new Date(createdAt).getTime()) / 1000);
            var s = function(n) { return n == 1 ? '' : 's' };
            if (ageInSeconds < 0 || ageInSeconds == 0) {
                return 'just now';
            }
            if (ageInSeconds < 60) {
                var n = ageInSeconds;
                return Math.round(n) + ' second' + s(n) + ' ago';
            }
            if (ageInSeconds < 60 * 60) {
                var n = Math.floor(ageInSeconds/60);
                return n + ' minute' + s(n) + ' ago';
            }
            if (ageInSeconds < 60 * 60 * 24) {
                var n = Math.floor(ageInSeconds/60/60);
                return n + ' hour' + s(n) + ' ago';
            }
            if (ageInSeconds < 60 * 60 * 24 * 7) {
                var n = Math.floor(ageInSeconds/60/60/24);
                if(n == 1){
                    return 'Yesterday';
                }
                else{
                    return n + ' day' + s(n) + ' ago';
                }
            }
            if (ageInSeconds < 60 * 60 * 24 * 31) {
                var n = Math.floor(ageInSeconds/60/60/24/7);
                //return n + ' week' + s(n) + ' ago';
                return date.toString("MMMM dd, yyyy");
            }
            if (ageInSeconds < 60 * 60 * 24 * 365) {
                var n = Math.floor(ageInSeconds/60/60/24/31);
                //return n + ' month' + s(n) + ' ago';
                return date.toString("MMMM dd, yyyy");
            }
            var n = Math.floor(ageInSeconds/60/60/24/365);
            //return n + ' year' + s(n) + ' ago';
            return date.toString("MMMM dd, yyyy");
        }
        return "";
    }

    function formatAMPM(date) {
        if(date != "" || date.length > 0){
            var hours = date.getHours();
            var minutes = date.getMinutes();
            var ampm = hours >= 12 ? 'PM' : 'AM';
            hours = hours % 12;
            hours = hours ? hours : 12; // the hour '0' should be '12'
            minutes = minutes < 10 ? '0'+minutes : minutes;
            var strTime = hours + ':' + minutes + ' ' + ampm;
            return strTime;
        }
    }


    var isInternetAvailable = function () {
        if (navigator.connection && navigator.connection.type) {
            var networkState = navigator.connection.type;
            var states = {};
            states[Connection.UNKNOWN] = 'Unknown connection';
            states[Connection.ETHERNET] = 'Ethernet connection';
            states[Connection.WIFI] = 'WiFi connection';
            states[Connection.CELL_2G] = 'Cell 2G connection';
            states[Connection.CELL_3G] = 'Cell 3G connection';
            states[Connection.CELL_4G] = 'Cell 4G connection';
            states[Connection.NONE] = 'NoNetworkConnection';
            //debugError('Checking network...\nAvaialbale Network: ' + states[networkState]);
            if (states[networkState] == "NoNetworkConnection") {
                return false;
            } else {
                return true;
            }
        }
        return true;
    }

    var Loader = function (action) {
        if (action === "show") {
            $ionicLoading.show({
                template: '<div class="loader_walima2"><div class="loader_walima_needle2"></div></div><div>Please Wait...</div>'
            });
        }
        else if (action === "hide") {
            $ionicLoading.hide();
        }
    }
    
    var getJSONReqTimeout, isGetJsonReqPending = false;
    var $getJSON = function (action, data, onsuccess, onerror) {
        /*if(!isInternetAvailable()){
            Loader("hide");
            callback([]);
            return true;
        }*/
        //Loader("show");
        if (isInternetAvailable()) {
            debugError(action + "() Request: " + JSON.stringify(data));
            isGetJsonReqPending = true;
            $.getJSON(serviceURL + action, data, function (response) {
                debugError(action + "() Response: " + JSON.stringify(response));
                onsuccess(response);
                Loader("hide");
            }).fail(function (jqxhr, textStatus, error) {
                var err = textStatus + ", " + error;
                debugError(action + "() Request Failed: " + err);
                Loader("hide");
                if (onerror) {
                    onerror();
                }
            });
        }
        else {
            Loader("hide");
            if (onerror) {
                onerror();
            }
        }

    }

    var $ajax = function (action, data, callback) {
        if (isInternetAvailable()) {
            Loader("show");
            debugError(action + "() Request: " + JSON.stringify(data));
            $.getJSON(serviceURL + action, data, function (response) {
                debugError(action + "() Response: " + JSON.stringify(response));
                callback(response);
                Loader("hide");
            }).fail(function (jqxhr, textStatus, error) {

            });
        }
        else {
            Loader("hide");
        }
    }

    var $post = function (action, data, callback) {
        if (isInternetAvailable()) {

            // alert("internet is ok");
            //Loader("show");
            debugError(action + "() Request: " + JSON.stringify(data));
            $.post(serviceURL + action, data, function (response) {
                //alert("service succes");
                debugError(action + "() Response: " + JSON.stringify(response));
                callback(response);
                Loader("hide");
            }, "json").fail(function (jqxhr, textStatus, error) {
                //alert("service error");
                debugError(action + "() Request Failed: " + textStatus + ", " + error);
                Loader("hide");
            });
        }
        else {
            Loader("hide");
        }
    }

    var $postStringify = function (action, data, callback) {
        debugError(action + "() Request: " + JSON.stringify(data));
        $.post(serviceURL + action, JSON.stringify(data), function (response) {
            debugError(action + "() Response: " + JSON.stringify(response));
            callback(response);
        }, "json");
        if (!isInternetAvailable()) {
            Loader("hide");
        }
    }

    var AddUser = function (data, callback) {
        //alert("add user");
        $post("Users/AddUser", data, callback);
    }

    var UpdateUser = function (data, callback) {
        //alert("UpdateUser");
        $post("Users/UpdateUser", data, callback);
    }


   
    var SendPushNotification = function (data, callback) {
        $getJSON("SendPushNotification", data, callback);
    }  
    
   
    var setNotificationsCount = function (nCount) {
        if (typeof nCount !== 'undefined') {
            $rootScope.$apply(function () {
                $rootScope.NEW_NOTI_COUNT = nCount;
            });
        }
        else {

            var count = JSLINQ($rootScope.MY_NOTIFICATIONS).Where(function (item) { return item.VIEWED == false }).Count();
            $rootScope.NEW_NOTI_COUNT = count > 99 ? "100+" : count;
            debugError(">>> Unread NOTIFICATIONS count: " + count);
        }
    }

    var GetNotification = function () {
        var USER_ID = localStorage.getItem("USER_ID");
        if (USER_ID != null) {
            $getJSON("Notifications/GetNotifications", { USER_ID: USER_ID }, function (response) {
                debugError("d.NOTIFICATIONS.length: " + JSON.stringify(response));
                var d = response.data;
                if (d.NOTIFICATIONS.length > 0) {
                    //for (var i = 0; i < d.NOTIFICATIONS.length; i++) {
                    //    d.NOTIFICATIONS[i].DISPLAY_NAME = d.NOTIFICATIONS[i].USER_NAME;
                    //    if (d.NOTIFICATIONS[i].CONTACT_NAME != d.NOTIFICATIONS[i].USER_NAME) {
                    //        d.NOTIFICATIONS[i].DISPLAY_NAME = d.NOTIFICATIONS[i].CONTACT_NAME + " (" + d.NOTIFICATIONS[i].USER_NAME + ")";
                    //    }
                    //    $rootScope.MY_NOTIFICATIONS.push(d.NOTIFICATIONS[i]);
                    //}
                    debugError("d.NOTIFICATIONS.length: " + d.NOTIFICATIONS.length);
                    $rootScope.MY_NOTIFICATIONS = d.NOTIFICATIONS;
                    setNotificationsCount();
                }
                else {

                }
            });
        }
        else {
            //setNotificationsCount();
        }
    }
    
   
    
    var showAlert = function (msg) {
        var showAlertPopup = $ionicPopup.show({
            template: msg,
            title: 'PointX',
            //subTitle: 'Please use normal things',
            //scope: $scope,
            buttons: [
              {
                  text: 'OK',
                  type: 'button-dark'
              },
              //{
              //    text: 'Add',
              //    type: 'button-positive',
              //    onTap: function (e) {
              //        service.Loader("show");
              //        $timeout(function () {
              //            $scope.saveQuickSpot();

              //        }, 1);
              //    }
              //}
            ]
        });
        $timeout(function () {
            $(".popup-container").css({ zIndex: 99999 });
            $(".backdrop").css({ zIndex: 9999 });
        }, 1);
       
        //navigator.notification.alert(
        //        msg,      // message
        //        null,     // callback
        //        'PointX',  // title
        //        'OK'      // buttonName
        //    );
    }

    var showWarning = function (msg) {
        navigator.notification.alert(
                msg,      // message
                null,     // callback
                'Warning',  // title
                'OK'      // buttonName
            );
    }

    //var CheckGPS = function () {
        
      
    //    alert("CheckGPS called");
    
    //}
    

    var showToast = function (duration, position, msg) {
        duration = duration ? duration : 5;
        window.plugins.toast.show(msg, duration, position, toast_success, toast_error);
        var toast_success = function(e){ debugError('toast success: ' + e); };
        var toast_error = function(e){ debugError('toast error: ' + e); };
    }
    var formatPhone = function (phone) {
        var country_iso = localStorage.getItem("country_iso");
        var e164 = formatE164(country_iso, phone);// PK, US
        if (e164.substring(0, 1) == "+") {
            return e164;
        } else {
            return "+" + e164;
        }
    }
    var GetUserObject = function () {
        var userId = localStorage.getItem("USER_ID"),
            latitude = localStorage.getItem("latitude"),
            longitude = localStorage.getItem("longitude"),
            deviceToken = localStorage.getItem("deviceToken");

        var $user = new User();
        $user.USER_ID = userId;
        $user.COORDS.LATITUDE = latitude;
        $user.COORDS.LONGITUDE = longitude;
        $user.COORDS.USER_ID = userId;
        $user.DEVICE_TOKEN = deviceToken;
        return $user;
    }

    return {
          
        isInternetAvailable: isInternetAvailable,
        Loader: Loader,
        elapsedTime: elapsedTime,
        formatAMPM: formatAMPM,
        showToast: showToast,
        $getJSON: $getJSON,
        $post: $post,
        $postStringify: $postStringify,
        $ajax: $ajax,
        GetUserObject: GetUserObject,
        SendPushNotification: SendPushNotification,
        setNotificationsCount: setNotificationsCount,
        formatPhone: formatPhone,
        alert: showAlert,
        warning: showWarning,
        AddUser: AddUser,
        UpdateUser: UpdateUser,
        GetNotification: GetNotification,
        confirm:function(msg, callback){
            navigator.notification.confirm(
              msg,  // message
              callback,              // callback to invoke with index of button pressed
              'PointX',            // title
              ['Cancel', 'Continue']          // buttonLabels
            );
        },

        isValidNumber:function(phone){
            var country_iso = localStorage.getItem("country_iso");
            return isValidNumber(phone, country_iso);
        },       
       
        GetCurrentView:function(){
            return CurrentView;
        },
        SetCurrentView:function(view){
            CurrentView = view;
        },
        IsCurrentView:function(view){
            return view == CurrentView;
        },
        H24ToH12: function (time) {
            if(time != ""){
                // Check correct time format and split into components
                time = time.toString().match (/^([01]\d|2[0-3])(:)([0-5]\d)(:[0-5]\d)?$/) || [time];

                if (time.length > 1) { // If time format correct
                    time = time.slice (1);  // Remove full string match value
                    time[5] = +time[0] < 12 ? ' AM' : ' PM'; // Set AM/PM
                    time[0] = +time[0] % 12 || 12; // Adjust hours
                }
                return time.join (''); // return adjusted time or original string
            }
            return time;
        },
        H12ToH24: function(time){
            debugError("H12ToH24: " + time);
            if(time != ""){
                var hours = Number(time.match(/^(\d+)/)[1]);
                var minutes = Number(time.match(/:(\d+)/)[1]);
                var AMPM = time.match(/\s(.*)$/)[1];
                if(AMPM == "PM" && hours<12) hours = hours+12;
                if(AMPM == "AM" && hours==12) hours = hours-12;
                var sHours = hours.toString();
                var sMinutes = minutes.toString();
                if(hours<10) sHours = "0" + sHours;
                if(minutes<10) sMinutes = "0" + sMinutes;
                return sHours + ":" + sMinutes;
            }
            return time;
        },
        Logout: function(){
            $getJSON("Logout", { USER_ID: localStorage.getItem("USER_ID") }, function(response){ });
        },
        Login: function(){
            $getJSON("Login", { USER_ID: localStorage.getItem("USER_ID") }, function(response){ });
        },
        UpdateSpotCount: function(){
            var today = new Date().getDate();
            var currentCount = localStorage.getItem(today + "_SPOTS_COUNT") ? parseInt(localStorage.getItem(today + "_SPOTS_COUNT")) : 0;
            currentCount += 1;
            localStorage.setItem(today + "_SPOTS_COUNT", currentCount);
        },
        DecreaseSpotCount: function(){
            var today = new Date().getDate();
            var currentCount = localStorage.getItem(today + "_SPOTS_COUNT") ? parseInt(localStorage.getItem(today + "_SPOTS_COUNT")) : 0;
            currentCount -= 1;
            localStorage.setItem(today + "_SPOTS_COUNT", currentCount);
        },
        GetSpotCount:function(){
            var today = new Date().getDate();
            return localStorage.getItem(today + "_SPOTS_COUNT") ? parseInt(localStorage.getItem(today + "_SPOTS_COUNT")) : 0;
        },
        IsMaxSpotLimit: function(){
            debugError("this.GetSpotCount(): " + this.GetSpotCount());
            debugError("MaxSpots: " + MaxSpots);
            if(this.GetSpotCount() >= MaxSpots){
                return true;
            }
            return false;
        },
        IsActive: function(url){
            return url === $location.path();
        },
        iOSversion: function () {
            if (/iP(hone|od|ad)/.test(navigator.platform)) {
                var v = (navigator.appVersion).match(/OS (\d+)_(\d+)_?(\d+)?/);
                return [parseInt(v[1], 10), parseInt(v[2], 10), parseInt(v[3] || 0, 10)];
            }
        },
        activateMenu: function(currentView){
            $timeout(function(){
                $("#menuList").find("a").removeClass("mselected");
                $("#menuList a[am-view='"+currentView+"']").addClass("mselected");
            }, 500);
        },      
        
        
        updateUserState: function(_state){
            var _user_id = localStorage["USER_ID"];
            if(_user_id){
                this.$getJSON("UpdateUserState", { USER_ID: _user_id, STATE: _state }, function(r){});
            }
        },       
        
        share: function(){
            //https://github.com/EddyVerbruggen/SocialSharing-PhoneGap-Plugin
            window.plugins.socialsharing.share(messages.TELL_A_FRIEND_MSG);
        },
        formatDateWithZone: function(datetime){
            if(datetime != "" && datetime.length){
                //debugError("moment.utc(date).zone('-300').fromNow(): " + moment.utc(date).zone(moment().zone()).fromNow());
                return moment.utc(datetime).zone(moment().zone()).fromNow();
            }
        },
        getCoords: function(){
            return localStorage.latitude + ", " + localStorage.longitude;
        },
        radarCalculations: function(event_users){
            var colorIndex = 0;
            
            for (var i = 0; i < event_users.length; i++) {

                /*if((event_users[i].ADDED_BY == USER_ID || event_users[i].ADDED_BY == event.CREATOR.USER_ID || event_users[i].USER_ID == USER_ID) && event_users[i].USER_ID != event.CREATOR.USER_ID){
                    continue;
                }*/

                event_users[i].DISPLAY_NAME = event_users[i].USER_NAME;
                if (typeof event_users[i].CONTACT_NAME != 'object' && event_users[i].CONTACT_NAME != event_users[i].USER_NAME) {
                    event_users[i].DISPLAY_NAME = event_users[i].CONTACT_NAME + " (" + event_users[i].USER_NAME + ")";
                }

                event_users[i].DISTANCE = event_users[i].JOIN_EVENT_STATUS != "APPROVED" ? "" : getDistanceWithUnit(getDistance(event_users[i].COORDS.LATITUDE, event_users[i].COORDS.LONGITUDE));
                event_users[i].LATITUDE = event_users[i].COORDS.LATITUDE;
                event_users[i].LONGITUDE = event_users[i].COORDS.LONGITUDE;
                event_users[i].BEARING = event_users[i].JOIN_EVENT_STATUS != "APPROVED" ? "" : getBearingWithAngle({ LATITUDE: event_users[i].LATITUDE, LONGITUDE: event_users[i].LONGITUDE });
                //event_users[i].OFF_LINE = event_users[i].LOGGED_OUT;
                event_users[i].LOGGED_OUT = event_users[i].LOGGED_OUT;
                event_users[i].POINT_COLOR = isPrivateMode ? privateFriends.FRIEND_COLOR : $colors[i];
                event_users[i].JOIN_EVENT_STATUS = event_users[i].JOIN_EVENT_STATUS;
                event_users[i].IS_REACHED = event_users[i].IS_REACHED;
                event_users[i].TIME = event_users[i].DATE_UPDATED ? service.elapsedTime(event_users[i].DATE_UPDATED) : "";

                if (event_users[i].JOIN_EVENT_STATUS == "PENDING") {
                    event_users[i].INFO_TEXT = 'Request Pending';
                }
                else if (event_users[i].JOIN_EVENT_STATUS == "LEFT") {
                    event_users[i].INFO_TEXT = 'has left the Meetup';
                }
                else {
                    // mark user offline if his location is not updating more than 5 minutes
                    var _t = event_users[i].TIME != "" ? event_users[i].TIME.split(' ') : [];
                    if (_t.length > 0 && event_users[i].USER_ID != USER_ID) {

                        if (event_users[i].TIME.contains("minute") || event_users[i].TIME.contains("minutes")) {
                            if (parseFloat(_t[0]) > 5) {
                                event_users[i].OFF_LINE = true;
                            }
                        }
                        else if (!event_users[i].TIME.contains("seconds") && !event_users[i].TIME.contains("now")) {
                            event_users[i].OFF_LINE = true;
                        }
                    }
                    event_users[i].INFO_TEXT = event_users[i].OFF_LINE == true ? 'Offline' : 'Last Update: ' + event_users[i].TIME;
                }

                if (event_users[i].USER_ID != USER_ID) { // do not rotate center gola
                    if (event_users[i].JOIN_EVENT_STATUS == "APPROVED") {
                        $("div[user-id='" + event_users[i].USER_ID + "']").attr("status", "approved").show();
                        RotateGola(event_users[i].USER_ID, event_users[i].DISPLAY_NAME, "GolaHolder_" + i, "dvGola_" + i, event_users[i].LATITUDE, event_users[i].LONGITUDE, $rootScope);
                    }
                }
                else {
                    event_users[i].DISPLAY_NAME = "Me";
                    event_users[i].POINT_COLOR = meColor;
                }
                        
                // automatically notify user that he is offline or his broadcasting in stopped
                /*if(event_users[i].OFF_LINE === true && offlineRemindedFriends.indexOf(event_users[i].USER_ID) === -1){
                    if (event_users[i].USER_ID != USER_ID) {
                     
                        offlineRemindedFriends.push(event_users[i].USER_ID);
                     
                        service.$getJSON("remindOfflineUser", { USER_ID: USER_ID, FRIEND_ID: event_users[i].USER_ID, EVENT_ID: MeetupSpotID }, function(){ });
                    }
                }
                else{
                    offlineRemindedFriends.slice(offlineRemindedFriends.indexOf(event_users[i].USER_ID), 1);
                }*/
                        
                colorIndex++;
            }
            return event_users;
        }
        /*  */
    }
})
.factory('DialogsHandler', function($rootScope, $ionicScrollDelegate, $timeout, $ionicModal, $location, $ionicActionSheet, service, SavedLocationHandler, Tooltip, LocationHandler) {
    var $scope = $rootScope;
       
    var pageno = 10, limit = 10, timeoutId;
    var USER_ID = localStorage.getItem("USER_ID"), WITH_USER_ID, isScrolling = false, isGpsEnabled = false;   
   

    
    $scope.shortenText = function (nTitle, limit) {
        var nTitle = $.trim(nTitle);
        if (nTitle.length > limit) {
            return nTitle.substr(0, limit) + "...";
        }
        return nTitle;
    }
       
    var getGrade = function () {            
		
        if (!gpsEnabled) {
            return "Disabled";
        }
        if (!gpsFix) {
            return "Waiting for Fix";
        }
        if (accuracy <= 10) {
            return "Good";
        }
        if (accuracy <= 30) {
            return "Fair";
        }
        if (accuracy <= 100) {
            return "Bad";
        }
        return "Unusable";        

    }
    
    $ionicModal.fromTemplateUrl('LockCurrentLocation.html', {
        scope: $scope,
        animation: 'no-animation'
    }).then(function (modal) {
        $scope.LockCurrentLocationModal = modal;
    });
    var durations = [{ Text: "6 Hours", Value: 6, type:"HOUR" }, { Text: "1 Day", Value: 1, type:"DAY" }, { Text: "Until Cancelled", Value: 5, type:"UC" }];
    
    $scope.lock = { locationTitle: "", validForText:durations[2].Text, validForValue:durations[2].Value, validForType:durations[2].type };
    $scope.DurationText = durations[0].Text;
    $scope.default = { value: durations[0].Value };
    $rootScope.IsMessageShow = false;
    
    var LockCurrentLocationModal = {
        show: function () {

            //changed on new edit
            if (!$scope.editMode) {                
                $("#txtLocationTitle").val("");
            }
            if (ionic.Platform.isAndroid()) {
                   
                window.plugins.gpsFix.getStatus(function (data) {
                    //alert(typeof data.gpsEnabled);
                    if (data.gpsEnabled) {                                           
                       // alert($rootScope.IsMessageShow);

                        if ($rootScope.horizontal_accuracyy > 30 && !$rootScope.IsMessageShow) {
                            service.warning(messages.LOCATION_WARNING);
                            $rootScope.IsMessageShow = true;
                        }

                        if ($rootScope.popup_latitude !="") {
                            //alert('wtf...');
                            $scope.editMode = false;
                            $scope.lock.locationTitle = "";
                            $scope.DurationText = durations[2].Text;
                            $scope.default = { value: durations[2].Value };

                            $scope.lock.validForText = durations[2].Text;
                            $scope.lock.validForValue = durations[2].Value;
                            $scope.lock.validForType = durations[2].type;

                            $scope.LockCurrentLocationModal.show();
                            debugError("new spot showTips: " + localStorage.showTips);
                            $scope.dropdown = { disabled: false };
                            if (localStorage.showTips == "true") {
                                $timeout(function () {
                                    $scope.stip_promise = Tooltip.show("#txtLocationDiv", messages.tip_save_spot, { my: "top left", at: "bottom left" }, false, null, null, function () {
                                        $scope.dropdown.disabled = false;
                                    });
                                    $scope.dropdown.disabled = true;
                                }, 500);
                            }

                            $timeout(function () {
                                $("#txtLocationTitle").focus();
                                //$("#txtLocationTitle").blur();
                            }, 300);
                        }
                        else {
                            service.alert(messages.LOCATION_CALIBRATING);
                        }
                       
                    }
                    else {
                        $rootScope.isGPS = false;                        
                        $rootScope.popup_latitude = "";
                        $rootScope.popup_longitude = "";
                        $rootScope.popup_horizontal_accuracy = "";
                        $rootScope.popup_vertical_accuracy = "";
                        $rootScope.gpsstats = "no-gps";
                        $rootScope.gps_accuracy = "poor poori";
                        $rootScope.gps_accuracy_text = "Poor";
                        $rootScope.$apply();


                        if (ionic.Platform.isAndroid() && ionic.Platform.version() >= 4.4) {
                            service.alert(messages.ANDROID_WARNING);


                        }
                        else if (ionic.Platform.isAndroid() && ionic.Platform.version() < 4.4) {
                            service.alert(messages.LOCATION_WARNING_EARLY_ANDROID);

                        }
                        else if (ionic.Platform.isIOS()) {
                            service.alert(messages.LOCATION_WARNING_IPHONE);
                        }
                    }
                });

                
            }
            else {
                if ($rootScope.isGPS) {
                    //if ($rootScope.horizontal_accuracy < 50) {
                    $scope.editMode = false;
                    $scope.lock.locationTitle = "";
                    $scope.DurationText = durations[2].Text;
                    $scope.default = { value: durations[2].Value };

                    $scope.lock.validForText = durations[2].Text;
                    $scope.lock.validForValue = durations[2].Value;
                    $scope.lock.validForType = durations[2].type;

                    $scope.LockCurrentLocationModal.show();
                    debugError("new spot showTips: " + localStorage.showTips);
                    $scope.dropdown = { disabled: false };
                    if (localStorage.showTips == "true") {
                        $timeout(function () {
                            $scope.stip_promise = Tooltip.show("#txtLocationDiv", messages.tip_save_spot, { my: "top left", at: "bottom left" }, false, null, null, function () {
                                $scope.dropdown.disabled = false;
                            });
                            $scope.dropdown.disabled = true;
                        }, 500);
                    }

                    $timeout(function () {
                        //$("#txtLocationTitle").focus();
                        //$("#txtLocationTitle").blur();
                    }, 300);
                    //  }
                    //  else {
                    //      service.alert(messages.LOCATION_WARNING);
                    //  }
                }
                else {
                    if (ionic.Platform.isAndroid() && ionic.Platform.version() >= 4.4) {
                        service.alert(messages.ANDROID_WARNING);


                    }
                    else if (ionic.Platform.isAndroid() && ionic.Platform.version() < 4.4) {
                        service.alert(messages.LOCATION_WARNING_EARLY_ANDROID);

                    }
                    else if (ionic.Platform.isIOS()) {
                        service.alert(messages.LOCATION_WARNING_IPHONE);
                    }
                }
            }
        },
        hide: function () {
          
            $scope.LockCurrentLocationModal.hide();
        },
        edit: function(location){
            $scope.editMode = true;
            $scope.location_id = location.id;
            $scope.lock.locationTitle = location.name;
            $scope.DurationText = location.valid_for_text;
            //alert("text: " + location.valid_for_text + " value: " + location.valid_for_value);
            $scope.default = { value: location.valid_for_value };
            //changed
            $scope.lock.validForText = location.valid_for_text;
            $scope.lock.validForValue = location.valid_for_value;        
            $scope.lock.validForType = location.valid_for_type;
            $scope.LockCurrentLocationModal.show();
        }
    };
    var clicked = 0;
    $scope.submitLockCurrentLocation = function () {
        // service.CheckGPS();   
        cordova.plugins.Keyboard.close();
        service.Loader("show");
        $timeout(function () {
        if (ionic.Platform.isAndroid()) {

            window.plugins.gpsFix.getStatus(function (data) {

                //alert(typeof data.gpsEnabled);
                if (data.gpsEnabled) {
                    var isExistingLocation = SavedLocationHandler.isExistingLocation("", $scope.lock.locationTitle);
                    if (isExistingLocation) {
                        service.alert(messages.MSG_LOCATION_EXISTS);
                        service.Loader("hide");
                    }
                    else if ($scope.lock.locationTitle == "" || $scope.lock.locationTitle == null) {
                        service.alert(messages.MSG_EMPTY_LOCATION_NAME);
                        service.Loader("hide");
                    }
                    else {
                        // if ($rootScope.horizontal_accuracyy < 50) {
                       // service.Loader("show");
                        service.Loader("show");
                        $timeout(function () { $(".backdrop").css({ zIndex: 1000000000 }); }, 200);
                        if (localStorage.gpsInitialized == "true") {
                            //service.Loader("show");

                            $timeout(function () {

                                savespot();
                                localStorage.gpsInitialized = "false";
                                service.Loader("hide");

                            }, 7000);
                            cordova.plugins.Keyboard.close();
                            //$location.path('/SavedLocations');
                            //LockCurrentLocationModal.hide();
                        } else {
                            savespot();
                            //$timeout(function () { service.Loader("hide"); }, 600);
                        }
                        //   }
                        //   else {
                        //       service.alert(messages.LOCATION_WARNING);
                        //   }
                    }
                }
                else {
                    $rootScope.isGPS = false;
                    $rootScope.$apply();
                    if (ionic.Platform.isAndroid() && ionic.Platform.version() >= 4.4) {
                        service.alert(messages.ANDROID_WARNING);


                    }
                    else if (ionic.Platform.isAndroid() && ionic.Platform.version() < 4.4) {
                        service.alert(messages.LOCATION_WARNING_EARLY_ANDROID);

                    }
                    else if (ionic.Platform.isIOS()) {
                        service.alert(messages.LOCATION_WARNING_IPHONE);
                    }
                }
            });
        }
        else {
            if ($rootScope.isGPS) {
                var isExistingLocation = SavedLocationHandler.isExistingLocation("", $scope.lock.locationTitle);
                if (isExistingLocation) {
                    service.alert(messages.MSG_LOCATION_EXISTS);
                    service.Loader("hide");
                }
                else if ($scope.lock.locationTitle == "" || $scope.lock.locationTitle == null) {
                    service.alert(messages.MSG_EMPTY_LOCATION_NAME);
                    service.Loader("hide");
                }
                else {
                    // if ($rootScope.horizontal_accuracy < 50) {
                   // service.Loader("show");
                    if (localStorage.gpsInitialized == "true") {
                      //  service.Loader("show");

                        $timeout(function () {
                            savespot();
                            localStorage.gpsInitialized = "false";
                            service.Loader("hide");

                        }, 5000);
                        cordova.plugins.Keyboard.close();
                        $location.path('/SavedLocations');
                        LockCurrentLocationModal.hide();
                    } else {
                        savespot();
                        $timeout(function () { service.Loader("hide"); }, 600);
                    }
                    //  }
                    //  else {
                    //      service.alert(messages.LOCATION_WARNING);
                    //  }
                }
            }
            else {
                if (ionic.Platform.isAndroid() && ionic.Platform.version() >= 4.4) {
                    service.alert(messages.ANDROID_WARNING);


                }
                else if (ionic.Platform.isAndroid() && ionic.Platform.version() < 4.4) {
                    service.alert(messages.LOCATION_WARNING_EARLY_ANDROID);

                }
                else if (ionic.Platform.isIOS()) { 
                    service.alert(messages.LOCATION_WARNING_IPHONE);
                }
            }

        }
        }, 600);
    }
    
    var savespot = function () {
        cordova.plugins.Keyboard.close();
        var _location = SavedLocationHandler.addLocation($scope.lock.locationTitle, $scope.lock.validForText, $scope.lock.validForValue, $scope.lock.validForType, "ion-location");
        LockCurrentLocationModal.hide();
        // post location to server
        if (localStorage.USER_ID) {
            service.$post("Spots/AddSpot", { USER_ID: localStorage.USER_ID, LOCATION_TITLE: $scope.lock.locationTitle, VALID_FOR: $scope.lock.validForText, LOCATION_COORDS: localStorage.latitude + ',' + localStorage.longitude, GPS_ACCURACY: $rootScope.horizontal_accuracyy }, function (response) { });
        }
        $scope.$broadcast("pointx.location", _location);
        //if(!service.IsCurrentView("SavedLocations")){
        $location.path("/SavedLocations");
        service.Loader("hide");
        //}
        
    }
    
    $scope.UpdateLocation = function(){
        var isExistingLocation = SavedLocationHandler.isExistingLocation($scope.location_id, $scope.lock.locationTitle);
        if(isExistingLocation){
            service.alert(messages.MSG_LOCATION_EXISTS);
        }
        else if ($scope.lock.locationTitle == "" || $scope.lock.locationTitle == null) {
            
            service.alert(messages.MSG_EMPTY_LOCATION_NAME);
            return false;
            
        }
        else {
            service.Loader("show");
            cordova.plugins.Keyboard.close();
            SavedLocationHandler.updateLocation($scope.location_id, $scope.lock.locationTitle, $scope.lock.validForText, $scope.lock.validForValue, $scope.lock.validForType);
            LockCurrentLocationModal.hide();
            $timeout(function () { service.Loader("hide"); }, 600);
            $scope.$broadcast("pointx.location");
        }
    }
    
    $scope.cancelLockCurrentLocation = function () {
        $scope.lock.validForValue = $scope.oldvalidforValue;
        cordova.plugins.Keyboard.close();
        LockCurrentLocationModal.hide();
        $scope.$broadcast("pointx.location.cancel");

        if($scope.stip_promise){
            $timeout.cancel($scope.stip_promise);
            Tooltip.hide("#txtLocationDiv");
        }
    }
    
    
    $ionicModal.fromTemplateUrl('SelectDuration.html', {
        scope: $scope,
        animation: 'no-animation'
    }).then(function (modal) {
        $scope.ValidForModal = modal;
    });
    $scope.durations = durations;
    
    $scope.openDurationModal = function () {
        //$scope.lock.validForValue = $scope.oldvalidforValue;
        cordova.plugins.Keyboard.close();
        if($scope.editMode == false){
            $scope.default = { value: durations[0].Value };
        }        
        if ($scope.lock.validForValue) {
            $scope.oldvalidforValue = $scope.lock.validForValue;
            $scope.oldvalidforText = $scope.lock.validForText;
            $scope.default = { value: $scope.lock.validForValue };
        }
        $scope.ValidForModal.show();
    }

    $scope.onChange = function (duration) {
        $scope.lock.validForText = duration.Text;
        $scope.lock.validForValue = duration.Value
        $scope.lock.validForType = duration.type;
        $scope.DurationText = duration.Text;
        $scope.ValidForModal.hide();
    }
    
    $scope.cancelDurationSelect = function () {
        //changed
        $scope.lock.validForValue = $scope.oldvalidforValue;
        $scope.lock.validForText = $scope.oldvalidforText;
        $scope.default = { value: $scope.oldvalidforValue };
        $scope.ValidForModal.hide();
    }    
    
    $scope.$on('$destroy', function () {
        $scope.LockCurrentLocationModal.remove();      
        $scope.ValidForModal.remove();
    });

    return {        
        LockCurrentLocationModal: LockCurrentLocationModal
    };
})
.factory('LocationHandler', function($rootScope, $timeout, service) {
    var currentLatitude, currentLongitude, watchLocationID, settimeoutlimit;
    if ((ionic.Platform.isAndroid() && ionic.Platform.version() >= 4.4)) {
        settimeoutlimit = 3000;        
    }
    else {
        settimeoutlimit = 5000;        
    }
    var COORDS = { };
    var sendData = false, errorShown = false, locationServicesStatus = "OFF", IsWatchLocationCalled = false;
    var isLoggedOut = localStorage.getItem("LOGOUT");
    
    var getCurrentPosition = function(){
        //debugError("> getCurrentPosition");
        if (ionic.Platform.isAndroid()) {
            window.navigator.geolocation.getCurrentPosition(onPositionSuccess, onPositionError, { timeout: settimeoutlimit, enableHighAccuracy: true, maximumAge: 1000 });
        }
        else if (ionic.Platform.isIOS()) {
            window.navigator.geolocation.getCurrentPosition(onPositionSuccess, onPositionError, { enableHighAccuracy: true });
        }
    }
    
    var watchLocation = function(){
        //debugError("> watchLocation");
        /*$rootScope.calibrating = true;
        $timeout(function(){
            $rootScope.calibrating = false;
            sendData = true;
        }, 5000);*/
         
        if (watchLocationID != null) { navigator.geolocation.clearWatch(watchLocationID); }

        if (ionic.Platform.isAndroid()) {
            watchLocationID = window.navigator.geolocation.watchPosition(onPositionSuccess, onPositionError, { timeout: settimeoutlimit, enableHighAccuracy: true, maximumAge: 1000 });
        }
        else if (ionic.Platform.isIOS()) {
            watchLocationID = window.navigator.geolocation.watchPosition(onPositionSuccess, onPositionError, { enableHighAccuracy: true });
        }
        //alert("location started..!");
    }
    
    var stopLocationWatch = function(){
        //debugError("> stopLocationWatch");
        if(watchLocationID != null){ navigator.geolocation.clearWatch(watchLocationID); }
        //alert("location stopped..!");
    }
    
    var onPositionSuccess = function(position) {
        debugError("onPositionSuccess(): " + JSON.stringify(position));
        
        //alert("onPositionSuccess");
        var accuracy = parseFloat(position.coords.accuracy), gps_accuracy = "good", gps_accuracy_text = "Good";
        if (accuracy <= 10) { gps_accuracy = "excellent"; gps_accuracy_text = "Excellent"; $rootScope.gpsaccuracycheck = true } // Excellent gps
        else if (accuracy > 10 && accuracy < 50) { gps_accuracy = "good"; gps_accuracy_text = "Good"; $rootScope.gpsaccuracycheck = true } // good
        else if(accuracy > 50){ gps_accuracy = "poor"; gps_accuracy_text = "Poor"; $rootScope.gpsaccuracycheck = false} // poor
        $rootScope.horizontal_accuracyy = accuracy;
        $rootScope.gps_accuracy = gps_accuracy;
        $rootScope.gps_accuracy_text = gps_accuracy_text;
        $rootScope.gpsstats = "gps";

        $rootScope.popup_latitude = position.coords.latitude;
 
        $rootScope.popup_longitude = position.coords.longitude;
        $rootScope.popup_horizontal_accuracy = Math.round(position.coords.accuracy) + "m";
        $rootScope.popup_vertical_accuracy = Math.round(position.coords.altitudeAccuracy) + "m";
        
        localStorage.setItem("latitude", position.coords.latitude);
        localStorage.setItem("longitude", position.coords.longitude);
        localStorage.setItem("accuracy", position.coords.accuracy);
        
        //$rootScope.$broadcast("coords.changed", position);
        //debugError("locationServicesStatus: " + locationServicesStatus);
        if(locationServicesStatus == "OFF"){
            UpdateLocationServicesStatus("ON");
            locationServicesStatus = "ON";
           
            
        }
        $rootScope.isGPS = true;        
        currentLatitude = position.coords.latitude;
        currentLongitude = position.coords.longitude;
        COORDS = { LATITUDE: position.coords.latitude, LONGITUDE: position.coords.longitude };
        GlobalCoords = COORDS;
        //var nDistance = getDistance(position.coords.latitude, position.coords.longitude);
        var transmitPosition = true;
        IsWatchLocationCalled = true;
        var USER_ID = localStorage.getItem("USER_ID");
        //debugError("USER_ID in position: " + USER_ID);
        if (USER_ID != null) {
            var newPosition = new Coords();
            newPosition.USER_ID = USER_ID;
            newPosition.LATITUDE = position.coords.latitude;
            newPosition.LONGITUDE = position.coords.longitude;
            var prevLat = localStorage.getItem("prevLat"),
                prevLong = localStorage.getItem("prevLong");
            //prevDistance = localStorage.getItem("prevDistance");
         
            //debugError("newDistance in meters: " + nDistance);
            //debugError("prevDistance in meters: " + prevDistance);
         
            if(prevLat == position.coords.latitude && prevLong == position.coords.longitude){
                transmitPosition = false; // only send data if it changes
            }
         
            //debugError("transmitPosition: " + transmitPosition);
         
            //debugError("isLoggedOut: " + isLoggedOut + ", typeof isLoggedOut: " + typeof isLoggedOut);
            if(transmitPosition && isLoggedOut != "true"){
                //debugError("Location coords transmitted...");
            }
         
        }
        if(transmitPosition){
            //UpdateLastLocation();//setTimeout(UpdateLastLocation, (3 * 1000)); // Update location after 5 sec
        }
        var now = new Date();
        var preTime = localStorage.getItem("preTime") ? new Date(localStorage.getItem("preTime")) : null;
        //debugError("now: " + now);
        //debugError("preTime: " + preTime);
        
        if(preTime != null){
            var diff = Math.round((now.getTime() - preTime.getTime()) / (1000)); // seconds
            //debugError("elapsedTimeLocationUpdate: " + diff);
            //debugError("isInRangeForLocUpdate: " + isInRangeForLocUpdate);
         
            var timeToUpdateLoc = isInRangeForLocUpdate == false ? 30 : 3;
         
            if(parseInt(diff) >= timeToUpdateLoc || isInRangeForLocUpdate){ // update after <diff> seconds OR if in range then immediate update
                if(isLoggedOut != "true"){
                    //debugError("Updating location...");
                    UpdateLastLocation();
                    localStorage.setItem("prevLat", position.coords.latitude);
                    localStorage.setItem("prevLong", position.coords.longitude);
                    //localStorage.setItem("prevDistance", nDistance);
                }
                localStorage.setItem("preTime", new Date());
            }

        }
        else{
            localStorage.setItem("preTime", new Date());
        }
        $rootScope.$apply();
    }
    
    var onPositionError = function (error) {        
        //alert(" error.code" + error.code);
        if (error.code == 1 || error.code == 2 || error.code == 3) { // 1 => PERMISSION_DENIED, 2 => POSITION_UNAVAILABLE, 3 => TIMEOUT

            
            
            if (!errorShown) {
                if (ionic.Platform.isIOS())
                {
                    service.alert(messages.LOCATION_WARNING_IPHONE);
                    $rootScope.Iphone = true;
                    errorShown = true;
                }
            }

            UpdateLocationServicesStatus("OFF");
            locationServicesStatus = "OFF";
            
        }
        else {
        }

        $rootScope.popup_latitude = "";
        $rootScope.popup_longitude = "";
        $rootScope.popup_horizontal_accuracy = "";
        $rootScope.popup_vertical_accuracy = "";
        $rootScope.gpsstats = "no-gps";
        $rootScope.gps_accuracy = "poor poori";
        $rootScope.gps_accuracy_text = "Poor";

        $rootScope.isGPS = false;
        $rootScope.$apply();
        debugError("onPositionError: " + JSON.stringify(error));
        watchLocation();
    }
    
    var UpdateLocationServicesStatus = function(__status){
        if(localStorage.USER_ID){
            // service.$getJSON("UpdateLocationServicesStatus", { USER_ID: localStorage.USER_ID, STATUS: __status }, function(res){ });
        }
    }
    
    var UpdateLastLocation = function () {
        if (localStorage.USER_ID) {
            var data = { USER_ID: localStorage.getItem("USER_ID"), LAST_LOCATION_COORDS: currentLatitude + "," + currentLongitude, UTC_OFFSET: moment().zone(), DEVICE_TOKEN: localStorage.getItem("deviceToken") };
            service.$post("Users/UpdateLastLocation", data, function (response) {
                debugError("LOCATION_UPDATED_IN_DB: " + JSON.stringify(response));
            });
        }
        //setTimeout(UpdateLastLocation, (5 * 1000)); // Update location after every 5 sec
    }
    
    return{
        getCurrentPosition: getCurrentPosition,
        watchLocation: watchLocation,
        stopLocationWatch: stopLocationWatch,
        UpdateLastLocation: UpdateLastLocation,
        getCurrentCoords: function(callback){
         
            window.navigator.geolocation.getCurrentPosition(function(position){
                callback("ok", position);
            }, function(error){
                callback("error", error);
            }, { enableHighAccuracy: true });
         
        },
        currentCoords: function(){
            return COORDS;
        },
        isGPSEnabled: function(){
            return (locationServicesStatus === "ON");
        }
    }
    
})

.factory('SavedLocationHandler', function (service, $rootScope) {
    
    var model = {
        locations: { }
    };
        
    var saveToLocalStorage = function() {
        localStorage["saved_locations"] = JSON.stringify(model);
    };
    
    var loadFromLocalStorage = function () {
        if (localStorage.saved_locations) {
        
            var persistedModel = JSON.parse(localStorage.saved_locations);
            var now = new Date();
            angular.forEach(persistedModel.locations, function(persistedLocation, key) {
                var pL = persistedLocation;
                
                if(now <= new Date(pL.date_expiry)){
                    var location = newLocation(pL.id, pL.name, pL.valid_for_text, pL.valid_for_value, pL.valid_for_type, pL.coords, pL.date_added, pL.date_expiry, pL.icon);
                    
                    model.locations[location.getId()] = location;
                }
                else{
                    deleteLocationById(pL.id);
                }
            });
        }
    };

    var newGuid = function () {
        var template = 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx';
        return template.replace(/[xy]/g, function (c) {
            var r = Math.random() * 16 | 0, v = c == 'x' ? r : (r & 0x3 | 0x8);
            return v.toString(16);
        });
    };

    var getLocationById = function (id) {
        if (model.locations.hasOwnProperty(id))
            return model.locations[id];
        return null;
    };
    
    var newLocation = function (id, location_name, validForText, validForValue, validForType, coords, date_added, date_expiry, icon) {
        
        return {
            getId: function () {
                return id;
            },
            getName: function () {
                return location.locationTitle;
            },
            setName: function (newName) {
                if (newName.trim() == '') {
                    newName = 'no name';
                }
                name = newName;
            },
            coords: function(){
                return coords;
            },
            getDateAdded: function(){
                return date_added;
            },
            getDateExpiry: function(){
                return date_expiry;
            },
            icon :function(){
                return icon;
            },
            toJSON: function () {
                return {
                    id: id,
                    name: location_name,
                    valid_for_text: validForText,
                    valid_for_value: validForValue,
                    valid_for_type: validForType,
                    coords: coords,
                    date_added: date_added,
                    date_expiry: date_expiry,
                    icon: icon
                };
            }
        };
    };



    var addQuickSpot = function (QuickSpotName) {
        var quickSpot = {};
        
        quickSpot.id = newGuid();
        quickSpot.name = QuickSpotName;

        if (!localStorage.getItem("quickSpots")) {

            localStorage.setItem("quickSpots", "["+JSON.stringify(quickSpot)+"]");
        }
        else {
            
            var quickspotArray = JSON.parse(localStorage.quickSpots);

            for (var i = 0; i < quickspotArray.length; i++) {

                if (quickspotArray[i].name == QuickSpotName)
                {
                    service.alert(messages.QUICKSPOT);
                    return false;
                    break;
                }
            }
            quickspotArray.push(quickSpot);
            localStorage.setItem("quickSpots", JSON.stringify(quickspotArray));


        }
        $rootScope.QuickSpots = JSON.parse(localStorage.quickSpots);
        $rootScope.$apply();
        //alert("localStorage.getItem(quickSpots) :" + localStorage.getItem("quickSpots"));
        return true;
    };

         
    var addLocation = function (location_name, validForText, validForValue, validForType, icon) {       
       
        var id = newGuid();
        var coords = { latitude: localStorage.latitude, longitude: localStorage.longitude };
        var date_added = new Date();
        var formatted_date_added = date_added.toString("MMMM dd, yyyy HH:m:s");
        var date_expiry;
        if(validForType == "HOUR"){
            date_expiry = date_added.addHours(parseInt(validForValue));
        }
        else if(validForType == "DAY"){
            date_expiry = date_added.addDays(parseInt(validForValue));
        }
        else if(validForType == "UC"){
            date_expiry = date_added.addYears(1);
        }
        //alert(location_name);        
        //if (location_name.contains("spot") ==false) {
            //location_name += " Spot";
       // }
        //else {
            //if (location_name.contains("spot") == true) {
           // location_name = location_name;
            //}
            //else {
            //    location_name = "Spot";
            //}
        //}       

        location_name = location_name.capitalize();
        //alert(icon);
        var _location = newLocation(id, location_name, validForText, validForValue, validForType, coords, date_added, date_expiry , icon);
        model.locations[_location.getId()] = _location;
        saveToLocalStorage();
        return _location;
    };
    
    var updateLocation = function (location_id, location_name, validForText, validForValue, validForType) {
        //alert("text: " + validForText + " value: " + validForValue);
        cordova.plugins.Keyboard.close();
        var id = location_id;
        var _loc = model.locations[id].toJSON();
        var coords = { latitude: _loc.coords.latitude, longitude: _loc.coords.longitude };
        var date_added = new Date();
        var formatted_date_added = date_added.toString("MMMM dd, yyyy HH:m:s");
        var date_expiry;
        if(validForType == "HOUR"){
            date_expiry = date_added.addHours(parseInt(validForValue));
        }
        else if(validForType == "DAY"){
            date_expiry = date_added.addDays(parseInt(validForValue));
        }
        else if(validForType == "UC"){
            date_expiry = date_added.addYears(1);
        }
        
        /*if(location_name.indexOf("Spot") === -1){
            location_name += " Spot";
        }*/
        location_name = location_name.capitalize();
        var _location = newLocation(id, location_name, validForText, validForValue, validForType, coords, date_added, date_expiry, _loc.icon);
        model.locations[_location.getId()] = _location;
        saveToLocalStorage();
        return _location;
    };
    
    var deleteLocation = function (location) {
        cordova.plugins.Keyboard.close();
        var _locationId = location.getId();
        delete model.locations[_locationId];
        saveToLocalStorage();
    };
    
    var deleteLocationById = function (id) {
        delete model.locations[id];
        saveToLocalStorage();
    };

    var getLocationsAsArray = function() {
        loadFromLocalStorage();
        var locations = [];
        for (var key in model.locations) {
            if (model.locations.hasOwnProperty(key)) {
                locations.push(model.locations[key]);
            }
        }
        return locations;
    };
    
    var getAllJSON = function() {
        loadFromLocalStorage();
        var locations = [];
        for (var key in model.locations) {
            if (model.locations.hasOwnProperty(key)) {
                locations.push(model.locations[key].toJSON());
            }
        }
        return locations;
    };
    
    var isExistingLocation = function (id, locationTitle) {
        var allLocations = getAllJSON();
        for (var i = 0; i < allLocations.length; i++) {
            if (id !== "") {
                if (allLocations[i].id !== id && (allLocations[i].name.toLowerCase() == (locationTitle).toLowerCase())) {
                    return true;
                    break;
                }
                else if (locationTitle.length > 0 && (locationTitle).toLowerCase() == "spot") {
                    return true;
                    break;
                }
            }
          
            else if (locationTitle.length > 0 && allLocations[i].name.toLowerCase() == (locationTitle).toLowerCase()) {
                return true;
                break;
            }
            else {
                if (allLocations[i].name.toLowerCase() == (locationTitle + " Spot").toLowerCase()) {
                    return true;
                    break;
                }
                else if (allLocations[i].name.toLowerCase() == (locationTitle).toLowerCase()) {
                    return true;
                    break;
                }
            }
        }
        return false;
    }
    
    return {
        addLocation: addLocation,
        updateLocation: updateLocation,
        deleteLocation: deleteLocation,
        deleteLocationById: deleteLocationById,
        getLocationById: getLocationById,
        getAllLocations: getLocationsAsArray,
        getAllJSON: getAllJSON,
        addQuickSpot:addQuickSpot,
        loadFromLocalStorage: loadFromLocalStorage,
        saveToLocalStorage: saveToLocalStorage,
        isExistingLocation: isExistingLocation,
        toJSON: function () {
            return {
                locations: getLocationsAsArray()
            };
        }
    };

})

.factory('Tooltip', function($timeout, service){

    var show = function(ele, msg, _position, showCloseBtn, style, onTipClickHide, onTipHide, view){
        return $timeout(function(){
            $(ele).qtip({
                content: {
                    //title:"ApproachMe",
                    text: msg,
                    button: showCloseBtn ? showCloseBtn : false
                },
                position: {
                    my: _position != null ? _position.my : 'bottom center',
                    at: _position != null ? _position.at : 'top center'
                },
                show: {
                    when: false, // Don't specify a show event
                    ready: view ? service.IsCurrentView(view) : true, // Show the tooltip when ready
                    solo: true // hide all opened tips
                },
                hide: {
                    event:'click',
                    target: $(this)
                },
                events: {
                    render: function(event, api) {
                        //api.elements.tooltip.click(api.hide);
                        var tooltip = api.elements.tooltip;
                        //tooltip.bind('tooltipshow', function(event, api) { }
                        //tooltip.bind('tooltiphide', function(event, api) { }
                        $(tooltip).on("click", function(){
                            $('.qtip').hide();
                            if(onTipClickHide){
                                onTipClickHide();
                            }
                        });
                    },
                    show: function(event, api){
                    
                    },
                    hide: function(event, api){
                        if(onTipHide){
                            onTipHide();
                        }
                    }
                },
                style: {
                    tip: {
                        width: 15,
                        height: 15,
                        //offset: 0,
                        //mimic: false
                    },
                    width: (style && style.width) ? style.width : "auto"
                }
            });
            
        }, 700);
        
    }
    
    var hide = function(ele){
        $(ele).qtip("hide");
    }
    
    return{
        show: show,
        hide: hide
    }
    
})
.factory('jBoxTip', function($timeout){
    var show = function(element, content, pointer){
        $timeout(function(){
        
            $(element).jBox('Tooltip',
            {
                content: content,
                pointer: pointer,
                closeOnClick:true,
                closeButton:"box",
                adjustPosition: true,
                adjustTracker: true,
                onOpen: function() {
                
                },
                onClose: function() {
                
                },
                /*position: {
                    x: 'left',
                    y: 'top'
                }*/
            });
        
        }, 1000);
    }
    
    return{
        show: show
    }
    
})
.factory('google', function(){

    var initReverseGeoCoding = function(){
        localStorage['google_country_name'] = "";
        localStorage['google_country_short_code'] = "";
         
        var lat = localStorage.getItem("latitude");
        var lng = localStorage.getItem("longitude");
        debugError("lat :  lng => " + lat + " : " + lng);
        var geocoder;
        var locationname;
        geocoder = new google.maps.Geocoder();
        var latlng = new google.maps.LatLng(lat, lng);
        geocoder.geocode({ 'latLng': latlng }, function (results, status) {
            if (status == google.maps.GeocoderStatus.OK) {
                //debugError("geocode results: " + JSON.stringify(results))
                if (results[1]) {
                    var locationname = results[0].formatted_address;
                    locationname = (locationname.substr(locationname.lastIndexOf(",") + 1)).trim();
                    var country_short_code;
                    for (var i = 0; i < results[0].address_components.length; i++) {
                        var addr = results[0].address_components[i];

                        if (addr.types[0] == 'country')
                            country_short_code = addr.short_name;

                    }
                    localStorage.setItem("google_country_name", locationname);
                    localStorage.setItem("google_country_short_code", country_short_code);
                } else {
                    debugError("No results found");
                }
            } else {
                debugError("Geocoder failed due to: " + status);
            }
        });
    }
    
    return {
        initReverseGeoCoding: initReverseGeoCoding
    }
})
/*.factory("$pusher", function(){
    
    var pusher = new Pusher('c77bcddd5945dbc77bfc');
    var channel;
        
    return{
        subscribe: function(channel_name){
           channel = pusher.subscribe(channel_name);
        },
        on: function(event_name, callback){
            channel.bind(event_name, function(data){
                callback(data);
            });
        },
        trigger: function(event_name, data){
           //channel.trigger(event_name, data);
        }
    }

})*/


